

class LookupFunction:
    def __init__(self,function):
        self.lookup=function

class LookupTable:
    def __init__(self,singles,ranges):
        self.singles=singles
        self.ranges=ranges
    def lookup(self,c):
        if self.singles.has_key(c):
            return self.singles[c]
        c=ord(c)
        for (min,max),value in self.ranges:
            if c<min:
                return None
            if c<=max:
                return value
        return None

try:
    import stringprep
    A_1=LookupFunction(stringprep.in_table_a1)

    def b1_mapping(uc):
        if stringprep.in_table_b1(uc):
            return u""
        else:
            return None

    B_1=LookupFunction(b1_mapping)
    B_2=LookupFunction(stringprep.map_table_b2)
    B_3=LookupFunction(stringprep.map_table_b3)
    C_1_1=LookupFunction(stringprep.in_table_c11)
    C_1_2=LookupFunction(stringprep.in_table_c12)
    C_2_1=LookupFunction(stringprep.in_table_c21)
    C_2_2=LookupFunction(stringprep.in_table_c22)
    C_3=LookupFunction(stringprep.in_table_c3)
    C_4=LookupFunction(stringprep.in_table_c4)
    C_5=LookupFunction(stringprep.in_table_c5)
    C_6=LookupFunction(stringprep.in_table_c6)
    C_7=LookupFunction(stringprep.in_table_c7)
    C_8=LookupFunction(stringprep.in_table_c8)
    C_9=LookupFunction(stringprep.in_table_c9)
    D_1=LookupFunction(stringprep.in_table_d1)
    D_2=LookupFunction(stringprep.in_table_d2)

except ImportError:
    # LookupTables from RFC 3454

    A_1=LookupTable({
            u'\u0221': 1,
            u'\u038B': 1,
            u'\u038D': 1,
            u'\u03A2': 1,
            u'\u03CF': 1,
            u'\u0487': 1,
            u'\u04CF': 1,
            u'\u0560': 1,
            u'\u0588': 1,
            u'\u05A2': 1,
            u'\u05BA': 1,
            u'\u0620': 1,
            u'\u06FF': 1,
            u'\u070E': 1,
            u'\u0904': 1,
            u'\u0984': 1,
            u'\u09A9': 1,
            u'\u09B1': 1,
            u'\u09BD': 1,
            u'\u09DE': 1,
            u'\u0A29': 1,
            u'\u0A31': 1,
            u'\u0A34': 1,
            u'\u0A37': 1,
            u'\u0A3D': 1,
            u'\u0A5D': 1,
            u'\u0A84': 1,
            u'\u0A8C': 1,
            u'\u0A8E': 1,
            u'\u0A92': 1,
            u'\u0AA9': 1,
            u'\u0AB1': 1,
            u'\u0AB4': 1,
            u'\u0AC6': 1,
            u'\u0ACA': 1,
            u'\u0B04': 1,
            u'\u0B29': 1,
            u'\u0B31': 1,
            u'\u0B5E': 1,
            u'\u0B84': 1,
            u'\u0B91': 1,
            u'\u0B9B': 1,
            u'\u0B9D': 1,
            u'\u0BB6': 1,
            u'\u0BC9': 1,
            u'\u0C04': 1,
            u'\u0C0D': 1,
            u'\u0C11': 1,
            u'\u0C29': 1,
            u'\u0C34': 1,
            u'\u0C45': 1,
            u'\u0C49': 1,
            u'\u0C84': 1,
            u'\u0C8D': 1,
            u'\u0C91': 1,
            u'\u0CA9': 1,
            u'\u0CB4': 1,
            u'\u0CC5': 1,
            u'\u0CC9': 1,
            u'\u0CDF': 1,
            u'\u0D04': 1,
            u'\u0D0D': 1,
            u'\u0D11': 1,
            u'\u0D29': 1,
            u'\u0D49': 1,
            u'\u0D84': 1,
            u'\u0DB2': 1,
            u'\u0DBC': 1,
            u'\u0DD5': 1,
            u'\u0DD7': 1,
            u'\u0E83': 1,
            u'\u0E89': 1,
            u'\u0E98': 1,
            u'\u0EA0': 1,
            u'\u0EA4': 1,
            u'\u0EA6': 1,
            u'\u0EAC': 1,
            u'\u0EBA': 1,
            u'\u0EC5': 1,
            u'\u0EC7': 1,
            u'\u0F48': 1,
            u'\u0F98': 1,
            u'\u0FBD': 1,
            u'\u1022': 1,
            u'\u1028': 1,
            u'\u102B': 1,
            u'\u1207': 1,
            u'\u1247': 1,
            u'\u1249': 1,
            u'\u1257': 1,
            u'\u1259': 1,
            u'\u1287': 1,
            u'\u1289': 1,
            u'\u12AF': 1,
            u'\u12B1': 1,
            u'\u12BF': 1,
            u'\u12C1': 1,
            u'\u12CF': 1,
            u'\u12D7': 1,
            u'\u12EF': 1,
            u'\u130F': 1,
            u'\u1311': 1,
            u'\u131F': 1,
            u'\u1347': 1,
            u'\u170D': 1,
            u'\u176D': 1,
            u'\u1771': 1,
            u'\u180F': 1,
            u'\u1F58': 1,
            u'\u1F5A': 1,
            u'\u1F5C': 1,
            u'\u1F5E': 1,
            u'\u1FB5': 1,
            u'\u1FC5': 1,
            u'\u1FDC': 1,
            u'\u1FF5': 1,
            u'\u1FFF': 1,
            u'\u24FF': 1,
            u'\u2618': 1,
            u'\u2705': 1,
            u'\u2728': 1,
            u'\u274C': 1,
            u'\u274E': 1,
            u'\u2757': 1,
            u'\u27B0': 1,
            u'\u2E9A': 1,
            u'\u3040': 1,
            u'\u318F': 1,
            u'\u32FF': 1,
            u'\u33FF': 1,
            u'\uFB37': 1,
            u'\uFB3D': 1,
            u'\uFB3F': 1,
            u'\uFB42': 1,
            u'\uFB45': 1,
            u'\uFE53': 1,
            u'\uFE67': 1,
            u'\uFE75': 1,
            u'\uFF00': 1,
            u'\uFFE7': 1,
        #   u'\U0001031F': 1,
        #   u'\U0001D455': 1,
        #   u'\U0001D49D': 1,
        #   u'\U0001D4AD': 1,
        #   u'\U0001D4BA': 1,
        #   u'\U0001D4BC': 1,
        #   u'\U0001D4C1': 1,
        #   u'\U0001D4C4': 1,
        #   u'\U0001D506': 1,
        #   u'\U0001D515': 1,
        #   u'\U0001D51D': 1,
        #   u'\U0001D53A': 1,
        #   u'\U0001D53F': 1,
        #   u'\U0001D545': 1,
        #   u'\U0001D551': 1,
        #   u'\U000E0000': 1,
        },(
            ((0x0234,0x024F),1),
            ((0x02AE,0x02AF),1),
            ((0x02EF,0x02FF),1),
            ((0x0350,0x035F),1),
            ((0x0370,0x0373),1),
            ((0x0376,0x0379),1),
            ((0x037B,0x037D),1),
            ((0x037F,0x0383),1),
            ((0x03F7,0x03FF),1),
            ((0x04F6,0x04F7),1),
            ((0x04FA,0x04FF),1),
            ((0x0510,0x0530),1),
            ((0x0557,0x0558),1),
            ((0x058B,0x0590),1),
            ((0x05C5,0x05CF),1),
            ((0x05EB,0x05EF),1),
            ((0x05F5,0x060B),1),
            ((0x060D,0x061A),1),
            ((0x061C,0x061E),1),
            ((0x063B,0x063F),1),
            ((0x0656,0x065F),1),
            ((0x06EE,0x06EF),1),
            ((0x072D,0x072F),1),
            ((0x074B,0x077F),1),
            ((0x07B2,0x0900),1),
            ((0x093A,0x093B),1),
            ((0x094E,0x094F),1),
            ((0x0955,0x0957),1),
            ((0x0971,0x0980),1),
            ((0x098D,0x098E),1),
            ((0x0991,0x0992),1),
            ((0x09B3,0x09B5),1),
            ((0x09BA,0x09BB),1),
            ((0x09C5,0x09C6),1),
            ((0x09C9,0x09CA),1),
            ((0x09CE,0x09D6),1),
            ((0x09D8,0x09DB),1),
            ((0x09E4,0x09E5),1),
            ((0x09FB,0x0A01),1),
            ((0x0A03,0x0A04),1),
            ((0x0A0B,0x0A0E),1),
            ((0x0A11,0x0A12),1),
            ((0x0A3A,0x0A3B),1),
            ((0x0A43,0x0A46),1),
            ((0x0A49,0x0A4A),1),
            ((0x0A4E,0x0A58),1),
            ((0x0A5F,0x0A65),1),
            ((0x0A75,0x0A80),1),
            ((0x0ABA,0x0ABB),1),
            ((0x0ACE,0x0ACF),1),
            ((0x0AD1,0x0ADF),1),
            ((0x0AE1,0x0AE5),1),
            ((0x0AF0,0x0B00),1),
            ((0x0B0D,0x0B0E),1),
            ((0x0B11,0x0B12),1),
            ((0x0B34,0x0B35),1),
            ((0x0B3A,0x0B3B),1),
            ((0x0B44,0x0B46),1),
            ((0x0B49,0x0B4A),1),
            ((0x0B4E,0x0B55),1),
            ((0x0B58,0x0B5B),1),
            ((0x0B62,0x0B65),1),
            ((0x0B71,0x0B81),1),
            ((0x0B8B,0x0B8D),1),
            ((0x0B96,0x0B98),1),
            ((0x0BA0,0x0BA2),1),
            ((0x0BA5,0x0BA7),1),
            ((0x0BAB,0x0BAD),1),
            ((0x0BBA,0x0BBD),1),
            ((0x0BC3,0x0BC5),1),
            ((0x0BCE,0x0BD6),1),
            ((0x0BD8,0x0BE6),1),
            ((0x0BF3,0x0C00),1),
            ((0x0C3A,0x0C3D),1),
            ((0x0C4E,0x0C54),1),
            ((0x0C57,0x0C5F),1),
            ((0x0C62,0x0C65),1),
            ((0x0C70,0x0C81),1),
            ((0x0CBA,0x0CBD),1),
            ((0x0CCE,0x0CD4),1),
            ((0x0CD7,0x0CDD),1),
            ((0x0CE2,0x0CE5),1),
            ((0x0CF0,0x0D01),1),
            ((0x0D3A,0x0D3D),1),
            ((0x0D44,0x0D45),1),
            ((0x0D4E,0x0D56),1),
            ((0x0D58,0x0D5F),1),
            ((0x0D62,0x0D65),1),
            ((0x0D70,0x0D81),1),
            ((0x0D97,0x0D99),1),
            ((0x0DBE,0x0DBF),1),
            ((0x0DC7,0x0DC9),1),
            ((0x0DCB,0x0DCE),1),
            ((0x0DE0,0x0DF1),1),
            ((0x0DF5,0x0E00),1),
            ((0x0E3B,0x0E3E),1),
            ((0x0E5C,0x0E80),1),
            ((0x0E85,0x0E86),1),
            ((0x0E8B,0x0E8C),1),
            ((0x0E8E,0x0E93),1),
            ((0x0EA8,0x0EA9),1),
            ((0x0EBE,0x0EBF),1),
            ((0x0ECE,0x0ECF),1),
            ((0x0EDA,0x0EDB),1),
            ((0x0EDE,0x0EFF),1),
            ((0x0F6B,0x0F70),1),
            ((0x0F8C,0x0F8F),1),
            ((0x0FCD,0x0FCE),1),
            ((0x0FD0,0x0FFF),1),
            ((0x1033,0x1035),1),
            ((0x103A,0x103F),1),
            ((0x105A,0x109F),1),
            ((0x10C6,0x10CF),1),
            ((0x10F9,0x10FA),1),
            ((0x10FC,0x10FF),1),
            ((0x115A,0x115E),1),
            ((0x11A3,0x11A7),1),
            ((0x11FA,0x11FF),1),
            ((0x124E,0x124F),1),
            ((0x125E,0x125F),1),
            ((0x128E,0x128F),1),
            ((0x12B6,0x12B7),1),
            ((0x12C6,0x12C7),1),
            ((0x1316,0x1317),1),
            ((0x135B,0x1360),1),
            ((0x137D,0x139F),1),
            ((0x13F5,0x1400),1),
            ((0x1677,0x167F),1),
            ((0x169D,0x169F),1),
            ((0x16F1,0x16FF),1),
            ((0x1715,0x171F),1),
            ((0x1737,0x173F),1),
            ((0x1754,0x175F),1),
            ((0x1774,0x177F),1),
            ((0x17DD,0x17DF),1),
            ((0x17EA,0x17FF),1),
            ((0x181A,0x181F),1),
            ((0x1878,0x187F),1),
            ((0x18AA,0x1DFF),1),
            ((0x1E9C,0x1E9F),1),
            ((0x1EFA,0x1EFF),1),
            ((0x1F16,0x1F17),1),
            ((0x1F1E,0x1F1F),1),
            ((0x1F46,0x1F47),1),
            ((0x1F4E,0x1F4F),1),
            ((0x1F7E,0x1F7F),1),
            ((0x1FD4,0x1FD5),1),
            ((0x1FF0,0x1FF1),1),
            ((0x2053,0x2056),1),
            ((0x2058,0x205E),1),
            ((0x2064,0x2069),1),
            ((0x2072,0x2073),1),
            ((0x208F,0x209F),1),
            ((0x20B2,0x20CF),1),
            ((0x20EB,0x20FF),1),
            ((0x213B,0x213C),1),
            ((0x214C,0x2152),1),
            ((0x2184,0x218F),1),
            ((0x23CF,0x23FF),1),
            ((0x2427,0x243F),1),
            ((0x244B,0x245F),1),
            ((0x2614,0x2615),1),
            ((0x267E,0x267F),1),
            ((0x268A,0x2700),1),
            ((0x270A,0x270B),1),
            ((0x2753,0x2755),1),
            ((0x275F,0x2760),1),
            ((0x2795,0x2797),1),
            ((0x27BF,0x27CF),1),
            ((0x27EC,0x27EF),1),
            ((0x2B00,0x2E7F),1),
            ((0x2EF4,0x2EFF),1),
            ((0x2FD6,0x2FEF),1),
            ((0x2FFC,0x2FFF),1),
            ((0x3097,0x3098),1),
            ((0x3100,0x3104),1),
            ((0x312D,0x3130),1),
            ((0x31B8,0x31EF),1),
            ((0x321D,0x321F),1),
            ((0x3244,0x3250),1),
            ((0x327C,0x327E),1),
            ((0x32CC,0x32CF),1),
            ((0x3377,0x337A),1),
            ((0x33DE,0x33DF),1),
            ((0x4DB6,0x4DFF),1),
            ((0x9FA6,0x9FFF),1),
            ((0xA48D,0xA48F),1),
            ((0xA4C7,0xABFF),1),
            ((0xD7A4,0xD7FF),1),
            ((0xFA2E,0xFA2F),1),
            ((0xFA6B,0xFAFF),1),
            ((0xFB07,0xFB12),1),
            ((0xFB18,0xFB1C),1),
            ((0xFBB2,0xFBD2),1),
            ((0xFD40,0xFD4F),1),
            ((0xFD90,0xFD91),1),
            ((0xFDC8,0xFDCF),1),
            ((0xFDFD,0xFDFF),1),
            ((0xFE10,0xFE1F),1),
            ((0xFE24,0xFE2F),1),
            ((0xFE47,0xFE48),1),
            ((0xFE6C,0xFE6F),1),
            ((0xFEFD,0xFEFE),1),
            ((0xFFBF,0xFFC1),1),
            ((0xFFC8,0xFFC9),1),
            ((0xFFD0,0xFFD1),1),
            ((0xFFD8,0xFFD9),1),
            ((0xFFDD,0xFFDF),1),
            ((0xFFEF,0xFFF8),1),
            ((0x10000,0x102FF),1),
            ((0x10324,0x1032F),1),
            ((0x1034B,0x103FF),1),
            ((0x10426,0x10427),1),
            ((0x1044E,0x1CFFF),1),
            ((0x1D0F6,0x1D0FF),1),
            ((0x1D127,0x1D129),1),
            ((0x1D1DE,0x1D3FF),1),
            ((0x1D4A0,0x1D4A1),1),
            ((0x1D4A3,0x1D4A4),1),
            ((0x1D4A7,0x1D4A8),1),
            ((0x1D50B,0x1D50C),1),
            ((0x1D547,0x1D549),1),
            ((0x1D6A4,0x1D6A7),1),
            ((0x1D7CA,0x1D7CD),1),
            ((0x1D800,0x1FFFD),1),
            ((0x2A6D7,0x2F7FF),1),
            ((0x2FA1E,0x2FFFD),1),
            ((0x30000,0x3FFFD),1),
            ((0x40000,0x4FFFD),1),
            ((0x50000,0x5FFFD),1),
            ((0x60000,0x6FFFD),1),
            ((0x70000,0x7FFFD),1),
            ((0x80000,0x8FFFD),1),
            ((0x90000,0x9FFFD),1),
            ((0xA0000,0xAFFFD),1),
            ((0xB0000,0xBFFFD),1),
            ((0xC0000,0xCFFFD),1),
            ((0xD0000,0xDFFFD),1),
            ((0xE0002,0xE001F),1),
            ((0xE0080,0xEFFFD),1),
        )
    )

    B_1=LookupTable({
            u'\u00AD': u'',
            u'\u034F': u'',
            u'\u1806': u'',
            u'\u180B': u'',
            u'\u180C': u'',
            u'\u180D': u'',
            u'\u200B': u'',
            u'\u200C': u'',
            u'\u200D': u'',
            u'\u2060': u'',
            u'\uFE00': u'',
            u'\uFE01': u'',
            u'\uFE02': u'',
            u'\uFE03': u'',
            u'\uFE04': u'',
            u'\uFE05': u'',
            u'\uFE06': u'',
            u'\uFE07': u'',
            u'\uFE08': u'',
            u'\uFE09': u'',
            u'\uFE0A': u'',
            u'\uFE0B': u'',
            u'\uFE0C': u'',
            u'\uFE0D': u'',
            u'\uFE0E': u'',
            u'\uFE0F': u'',
            u'\uFEFF': u'',
        },()
    )

    B_2=LookupTable({
            u'\u0041': u'\u0061',
            u'\u0042': u'\u0062',
            u'\u0043': u'\u0063',
            u'\u0044': u'\u0064',
            u'\u0045': u'\u0065',
            u'\u0046': u'\u0066',
            u'\u0047': u'\u0067',
            u'\u0048': u'\u0068',
            u'\u0049': u'\u0069',
            u'\u004A': u'\u006A',
            u'\u004B': u'\u006B',
            u'\u004C': u'\u006C',
            u'\u004D': u'\u006D',
            u'\u004E': u'\u006E',
            u'\u004F': u'\u006F',
            u'\u0050': u'\u0070',
            u'\u0051': u'\u0071',
            u'\u0052': u'\u0072',
            u'\u0053': u'\u0073',
            u'\u0054': u'\u0074',
            u'\u0055': u'\u0075',
            u'\u0056': u'\u0076',
            u'\u0057': u'\u0077',
            u'\u0058': u'\u0078',
            u'\u0059': u'\u0079',
            u'\u005A': u'\u007A',
            u'\u00B5': u'\u03BC',
            u'\u00C0': u'\u00E0',
            u'\u00C1': u'\u00E1',
            u'\u00C2': u'\u00E2',
            u'\u00C3': u'\u00E3',
            u'\u00C4': u'\u00E4',
            u'\u00C5': u'\u00E5',
            u'\u00C6': u'\u00E6',
            u'\u00C7': u'\u00E7',
            u'\u00C8': u'\u00E8',
            u'\u00C9': u'\u00E9',
            u'\u00CA': u'\u00EA',
            u'\u00CB': u'\u00EB',
            u'\u00CC': u'\u00EC',
            u'\u00CD': u'\u00ED',
            u'\u00CE': u'\u00EE',
            u'\u00CF': u'\u00EF',
            u'\u00D0': u'\u00F0',
            u'\u00D1': u'\u00F1',
            u'\u00D2': u'\u00F2',
            u'\u00D3': u'\u00F3',
            u'\u00D4': u'\u00F4',
            u'\u00D5': u'\u00F5',
            u'\u00D6': u'\u00F6',
            u'\u00D8': u'\u00F8',
            u'\u00D9': u'\u00F9',
            u'\u00DA': u'\u00FA',
            u'\u00DB': u'\u00FB',
            u'\u00DC': u'\u00FC',
            u'\u00DD': u'\u00FD',
            u'\u00DE': u'\u00FE',
            u'\u00DF': u'\u0073\u0073',
            u'\u0100': u'\u0101',
            u'\u0102': u'\u0103',
            u'\u0104': u'\u0105',
            u'\u0106': u'\u0107',
            u'\u0108': u'\u0109',
            u'\u010A': u'\u010B',
            u'\u010C': u'\u010D',
            u'\u010E': u'\u010F',
            u'\u0110': u'\u0111',
            u'\u0112': u'\u0113',
            u'\u0114': u'\u0115',
            u'\u0116': u'\u0117',
            u'\u0118': u'\u0119',
            u'\u011A': u'\u011B',
            u'\u011C': u'\u011D',
            u'\u011E': u'\u011F',
            u'\u0120': u'\u0121',
            u'\u0122': u'\u0123',
            u'\u0124': u'\u0125',
            u'\u0126': u'\u0127',
            u'\u0128': u'\u0129',
            u'\u012A': u'\u012B',
            u'\u012C': u'\u012D',
            u'\u012E': u'\u012F',
            u'\u0130': u'\u0069\u0307',
            u'\u0132': u'\u0133',
            u'\u0134': u'\u0135',
            u'\u0136': u'\u0137',
            u'\u0139': u'\u013A',
            u'\u013B': u'\u013C',
            u'\u013D': u'\u013E',
            u'\u013F': u'\u0140',
            u'\u0141': u'\u0142',
            u'\u0143': u'\u0144',
            u'\u0145': u'\u0146',
            u'\u0147': u'\u0148',
            u'\u0149': u'\u02BC\u006E',
            u'\u014A': u'\u014B',
            u'\u014C': u'\u014D',
            u'\u014E': u'\u014F',
            u'\u0150': u'\u0151',
            u'\u0152': u'\u0153',
            u'\u0154': u'\u0155',
            u'\u0156': u'\u0157',
            u'\u0158': u'\u0159',
            u'\u015A': u'\u015B',
            u'\u015C': u'\u015D',
            u'\u015E': u'\u015F',
            u'\u0160': u'\u0161',
            u'\u0162': u'\u0163',
            u'\u0164': u'\u0165',
            u'\u0166': u'\u0167',
            u'\u0168': u'\u0169',
            u'\u016A': u'\u016B',
            u'\u016C': u'\u016D',
            u'\u016E': u'\u016F',
            u'\u0170': u'\u0171',
            u'\u0172': u'\u0173',
            u'\u0174': u'\u0175',
            u'\u0176': u'\u0177',
            u'\u0178': u'\u00FF',
            u'\u0179': u'\u017A',
            u'\u017B': u'\u017C',
            u'\u017D': u'\u017E',
            u'\u017F': u'\u0073',
            u'\u0181': u'\u0253',
            u'\u0182': u'\u0183',
            u'\u0184': u'\u0185',
            u'\u0186': u'\u0254',
            u'\u0187': u'\u0188',
            u'\u0189': u'\u0256',
            u'\u018A': u'\u0257',
            u'\u018B': u'\u018C',
            u'\u018E': u'\u01DD',
            u'\u018F': u'\u0259',
            u'\u0190': u'\u025B',
            u'\u0191': u'\u0192',
            u'\u0193': u'\u0260',
            u'\u0194': u'\u0263',
            u'\u0196': u'\u0269',
            u'\u0197': u'\u0268',
            u'\u0198': u'\u0199',
            u'\u019C': u'\u026F',
            u'\u019D': u'\u0272',
            u'\u019F': u'\u0275',
            u'\u01A0': u'\u01A1',
            u'\u01A2': u'\u01A3',
            u'\u01A4': u'\u01A5',
            u'\u01A6': u'\u0280',
            u'\u01A7': u'\u01A8',
            u'\u01A9': u'\u0283',
            u'\u01AC': u'\u01AD',
            u'\u01AE': u'\u0288',
            u'\u01AF': u'\u01B0',
            u'\u01B1': u'\u028A',
            u'\u01B2': u'\u028B',
            u'\u01B3': u'\u01B4',
            u'\u01B5': u'\u01B6',
            u'\u01B7': u'\u0292',
            u'\u01B8': u'\u01B9',
            u'\u01BC': u'\u01BD',
            u'\u01C4': u'\u01C6',
            u'\u01C5': u'\u01C6',
            u'\u01C7': u'\u01C9',
            u'\u01C8': u'\u01C9',
            u'\u01CA': u'\u01CC',
            u'\u01CB': u'\u01CC',
            u'\u01CD': u'\u01CE',
            u'\u01CF': u'\u01D0',
            u'\u01D1': u'\u01D2',
            u'\u01D3': u'\u01D4',
            u'\u01D5': u'\u01D6',
            u'\u01D7': u'\u01D8',
            u'\u01D9': u'\u01DA',
            u'\u01DB': u'\u01DC',
            u'\u01DE': u'\u01DF',
            u'\u01E0': u'\u01E1',
            u'\u01E2': u'\u01E3',
            u'\u01E4': u'\u01E5',
            u'\u01E6': u'\u01E7',
            u'\u01E8': u'\u01E9',
            u'\u01EA': u'\u01EB',
            u'\u01EC': u'\u01ED',
            u'\u01EE': u'\u01EF',
            u'\u01F0': u'\u006A\u030C',
            u'\u01F1': u'\u01F3',
            u'\u01F2': u'\u01F3',
            u'\u01F4': u'\u01F5',
            u'\u01F6': u'\u0195',
            u'\u01F7': u'\u01BF',
            u'\u01F8': u'\u01F9',
            u'\u01FA': u'\u01FB',
            u'\u01FC': u'\u01FD',
            u'\u01FE': u'\u01FF',
            u'\u0200': u'\u0201',
            u'\u0202': u'\u0203',
            u'\u0204': u'\u0205',
            u'\u0206': u'\u0207',
            u'\u0208': u'\u0209',
            u'\u020A': u'\u020B',
            u'\u020C': u'\u020D',
            u'\u020E': u'\u020F',
            u'\u0210': u'\u0211',
            u'\u0212': u'\u0213',
            u'\u0214': u'\u0215',
            u'\u0216': u'\u0217',
            u'\u0218': u'\u0219',
            u'\u021A': u'\u021B',
            u'\u021C': u'\u021D',
            u'\u021E': u'\u021F',
            u'\u0220': u'\u019E',
            u'\u0222': u'\u0223',
            u'\u0224': u'\u0225',
            u'\u0226': u'\u0227',
            u'\u0228': u'\u0229',
            u'\u022A': u'\u022B',
            u'\u022C': u'\u022D',
            u'\u022E': u'\u022F',
            u'\u0230': u'\u0231',
            u'\u0232': u'\u0233',
            u'\u0345': u'\u03B9',
            u'\u037A': u'\u0020\u03B9',
            u'\u0386': u'\u03AC',
            u'\u0388': u'\u03AD',
            u'\u0389': u'\u03AE',
            u'\u038A': u'\u03AF',
            u'\u038C': u'\u03CC',
            u'\u038E': u'\u03CD',
            u'\u038F': u'\u03CE',
            u'\u0390': u'\u03B9\u0308\u0301',
            u'\u0391': u'\u03B1',
            u'\u0392': u'\u03B2',
            u'\u0393': u'\u03B3',
            u'\u0394': u'\u03B4',
            u'\u0395': u'\u03B5',
            u'\u0396': u'\u03B6',
            u'\u0397': u'\u03B7',
            u'\u0398': u'\u03B8',
            u'\u0399': u'\u03B9',
            u'\u039A': u'\u03BA',
            u'\u039B': u'\u03BB',
            u'\u039C': u'\u03BC',
            u'\u039D': u'\u03BD',
            u'\u039E': u'\u03BE',
            u'\u039F': u'\u03BF',
            u'\u03A0': u'\u03C0',
            u'\u03A1': u'\u03C1',
            u'\u03A3': u'\u03C3',
            u'\u03A4': u'\u03C4',
            u'\u03A5': u'\u03C5',
            u'\u03A6': u'\u03C6',
            u'\u03A7': u'\u03C7',
            u'\u03A8': u'\u03C8',
            u'\u03A9': u'\u03C9',
            u'\u03AA': u'\u03CA',
            u'\u03AB': u'\u03CB',
            u'\u03B0': u'\u03C5\u0308\u0301',
            u'\u03C2': u'\u03C3',
            u'\u03D0': u'\u03B2',
            u'\u03D1': u'\u03B8',
            u'\u03D2': u'\u03C5',
            u'\u03D3': u'\u03CD',
            u'\u03D4': u'\u03CB',
            u'\u03D5': u'\u03C6',
            u'\u03D6': u'\u03C0',
            u'\u03D8': u'\u03D9',
            u'\u03DA': u'\u03DB',
            u'\u03DC': u'\u03DD',
            u'\u03DE': u'\u03DF',
            u'\u03E0': u'\u03E1',
            u'\u03E2': u'\u03E3',
            u'\u03E4': u'\u03E5',
            u'\u03E6': u'\u03E7',
            u'\u03E8': u'\u03E9',
            u'\u03EA': u'\u03EB',
            u'\u03EC': u'\u03ED',
            u'\u03EE': u'\u03EF',
            u'\u03F0': u'\u03BA',
            u'\u03F1': u'\u03C1',
            u'\u03F2': u'\u03C3',
            u'\u03F4': u'\u03B8',
            u'\u03F5': u'\u03B5',
            u'\u0400': u'\u0450',
            u'\u0401': u'\u0451',
            u'\u0402': u'\u0452',
            u'\u0403': u'\u0453',
            u'\u0404': u'\u0454',
            u'\u0405': u'\u0455',
            u'\u0406': u'\u0456',
            u'\u0407': u'\u0457',
            u'\u0408': u'\u0458',
            u'\u0409': u'\u0459',
            u'\u040A': u'\u045A',
            u'\u040B': u'\u045B',
            u'\u040C': u'\u045C',
            u'\u040D': u'\u045D',
            u'\u040E': u'\u045E',
            u'\u040F': u'\u045F',
            u'\u0410': u'\u0430',
            u'\u0411': u'\u0431',
            u'\u0412': u'\u0432',
            u'\u0413': u'\u0433',
            u'\u0414': u'\u0434',
            u'\u0415': u'\u0435',
            u'\u0416': u'\u0436',
            u'\u0417': u'\u0437',
            u'\u0418': u'\u0438',
            u'\u0419': u'\u0439',
            u'\u041A': u'\u043A',
            u'\u041B': u'\u043B',
            u'\u041C': u'\u043C',
            u'\u041D': u'\u043D',
            u'\u041E': u'\u043E',
            u'\u041F': u'\u043F',
            u'\u0420': u'\u0440',
            u'\u0421': u'\u0441',
            u'\u0422': u'\u0442',
            u'\u0423': u'\u0443',
            u'\u0424': u'\u0444',
            u'\u0425': u'\u0445',
            u'\u0426': u'\u0446',
            u'\u0427': u'\u0447',
            u'\u0428': u'\u0448',
            u'\u0429': u'\u0449',
            u'\u042A': u'\u044A',
            u'\u042B': u'\u044B',
            u'\u042C': u'\u044C',
            u'\u042D': u'\u044D',
            u'\u042E': u'\u044E',
            u'\u042F': u'\u044F',
            u'\u0460': u'\u0461',
            u'\u0462': u'\u0463',
            u'\u0464': u'\u0465',
            u'\u0466': u'\u0467',
            u'\u0468': u'\u0469',
            u'\u046A': u'\u046B',
            u'\u046C': u'\u046D',
            u'\u046E': u'\u046F',
            u'\u0470': u'\u0471',
            u'\u0472': u'\u0473',
            u'\u0474': u'\u0475',
            u'\u0476': u'\u0477',
            u'\u0478': u'\u0479',
            u'\u047A': u'\u047B',
            u'\u047C': u'\u047D',
            u'\u047E': u'\u047F',
            u'\u0480': u'\u0481',
            u'\u048A': u'\u048B',
            u'\u048C': u'\u048D',
            u'\u048E': u'\u048F',
            u'\u0490': u'\u0491',
            u'\u0492': u'\u0493',
            u'\u0494': u'\u0495',
            u'\u0496': u'\u0497',
            u'\u0498': u'\u0499',
            u'\u049A': u'\u049B',
            u'\u049C': u'\u049D',
            u'\u049E': u'\u049F',
            u'\u04A0': u'\u04A1',
            u'\u04A2': u'\u04A3',
            u'\u04A4': u'\u04A5',
            u'\u04A6': u'\u04A7',
            u'\u04A8': u'\u04A9',
            u'\u04AA': u'\u04AB',
            u'\u04AC': u'\u04AD',
            u'\u04AE': u'\u04AF',
            u'\u04B0': u'\u04B1',
            u'\u04B2': u'\u04B3',
            u'\u04B4': u'\u04B5',
            u'\u04B6': u'\u04B7',
            u'\u04B8': u'\u04B9',
            u'\u04BA': u'\u04BB',
            u'\u04BC': u'\u04BD',
            u'\u04BE': u'\u04BF',
            u'\u04C1': u'\u04C2',
            u'\u04C3': u'\u04C4',
            u'\u04C5': u'\u04C6',
            u'\u04C7': u'\u04C8',
            u'\u04C9': u'\u04CA',
            u'\u04CB': u'\u04CC',
            u'\u04CD': u'\u04CE',
            u'\u04D0': u'\u04D1',
            u'\u04D2': u'\u04D3',
            u'\u04D4': u'\u04D5',
            u'\u04D6': u'\u04D7',
            u'\u04D8': u'\u04D9',
            u'\u04DA': u'\u04DB',
            u'\u04DC': u'\u04DD',
            u'\u04DE': u'\u04DF',
            u'\u04E0': u'\u04E1',
            u'\u04E2': u'\u04E3',
            u'\u04E4': u'\u04E5',
            u'\u04E6': u'\u04E7',
            u'\u04E8': u'\u04E9',
            u'\u04EA': u'\u04EB',
            u'\u04EC': u'\u04ED',
            u'\u04EE': u'\u04EF',
            u'\u04F0': u'\u04F1',
            u'\u04F2': u'\u04F3',
            u'\u04F4': u'\u04F5',
            u'\u04F8': u'\u04F9',
            u'\u0500': u'\u0501',
            u'\u0502': u'\u0503',
            u'\u0504': u'\u0505',
            u'\u0506': u'\u0507',
            u'\u0508': u'\u0509',
            u'\u050A': u'\u050B',
            u'\u050C': u'\u050D',
            u'\u050E': u'\u050F',
            u'\u0531': u'\u0561',
            u'\u0532': u'\u0562',
            u'\u0533': u'\u0563',
            u'\u0534': u'\u0564',
            u'\u0535': u'\u0565',
            u'\u0536': u'\u0566',
            u'\u0537': u'\u0567',
            u'\u0538': u'\u0568',
            u'\u0539': u'\u0569',
            u'\u053A': u'\u056A',
            u'\u053B': u'\u056B',
            u'\u053C': u'\u056C',
            u'\u053D': u'\u056D',
            u'\u053E': u'\u056E',
            u'\u053F': u'\u056F',
            u'\u0540': u'\u0570',
            u'\u0541': u'\u0571',
            u'\u0542': u'\u0572',
            u'\u0543': u'\u0573',
            u'\u0544': u'\u0574',
            u'\u0545': u'\u0575',
            u'\u0546': u'\u0576',
            u'\u0547': u'\u0577',
            u'\u0548': u'\u0578',
            u'\u0549': u'\u0579',
            u'\u054A': u'\u057A',
            u'\u054B': u'\u057B',
            u'\u054C': u'\u057C',
            u'\u054D': u'\u057D',
            u'\u054E': u'\u057E',
            u'\u054F': u'\u057F',
            u'\u0550': u'\u0580',
            u'\u0551': u'\u0581',
            u'\u0552': u'\u0582',
            u'\u0553': u'\u0583',
            u'\u0554': u'\u0584',
            u'\u0555': u'\u0585',
            u'\u0556': u'\u0586',
            u'\u0587': u'\u0565\u0582',
            u'\u1E00': u'\u1E01',
            u'\u1E02': u'\u1E03',
            u'\u1E04': u'\u1E05',
            u'\u1E06': u'\u1E07',
            u'\u1E08': u'\u1E09',
            u'\u1E0A': u'\u1E0B',
            u'\u1E0C': u'\u1E0D',
            u'\u1E0E': u'\u1E0F',
            u'\u1E10': u'\u1E11',
            u'\u1E12': u'\u1E13',
            u'\u1E14': u'\u1E15',
            u'\u1E16': u'\u1E17',
            u'\u1E18': u'\u1E19',
            u'\u1E1A': u'\u1E1B',
            u'\u1E1C': u'\u1E1D',
            u'\u1E1E': u'\u1E1F',
            u'\u1E20': u'\u1E21',
            u'\u1E22': u'\u1E23',
            u'\u1E24': u'\u1E25',
            u'\u1E26': u'\u1E27',
            u'\u1E28': u'\u1E29',
            u'\u1E2A': u'\u1E2B',
            u'\u1E2C': u'\u1E2D',
            u'\u1E2E': u'\u1E2F',
            u'\u1E30': u'\u1E31',
            u'\u1E32': u'\u1E33',
            u'\u1E34': u'\u1E35',
            u'\u1E36': u'\u1E37',
            u'\u1E38': u'\u1E39',
            u'\u1E3A': u'\u1E3B',
            u'\u1E3C': u'\u1E3D',
            u'\u1E3E': u'\u1E3F',
            u'\u1E40': u'\u1E41',
            u'\u1E42': u'\u1E43',
            u'\u1E44': u'\u1E45',
            u'\u1E46': u'\u1E47',
            u'\u1E48': u'\u1E49',
            u'\u1E4A': u'\u1E4B',
            u'\u1E4C': u'\u1E4D',
            u'\u1E4E': u'\u1E4F',
            u'\u1E50': u'\u1E51',
            u'\u1E52': u'\u1E53',
            u'\u1E54': u'\u1E55',
            u'\u1E56': u'\u1E57',
            u'\u1E58': u'\u1E59',
            u'\u1E5A': u'\u1E5B',
            u'\u1E5C': u'\u1E5D',
            u'\u1E5E': u'\u1E5F',
            u'\u1E60': u'\u1E61',
            u'\u1E62': u'\u1E63',
            u'\u1E64': u'\u1E65',
            u'\u1E66': u'\u1E67',
            u'\u1E68': u'\u1E69',
            u'\u1E6A': u'\u1E6B',
            u'\u1E6C': u'\u1E6D',
            u'\u1E6E': u'\u1E6F',
            u'\u1E70': u'\u1E71',
            u'\u1E72': u'\u1E73',
            u'\u1E74': u'\u1E75',
            u'\u1E76': u'\u1E77',
            u'\u1E78': u'\u1E79',
            u'\u1E7A': u'\u1E7B',
            u'\u1E7C': u'\u1E7D',
            u'\u1E7E': u'\u1E7F',
            u'\u1E80': u'\u1E81',
            u'\u1E82': u'\u1E83',
            u'\u1E84': u'\u1E85',
            u'\u1E86': u'\u1E87',
            u'\u1E88': u'\u1E89',
            u'\u1E8A': u'\u1E8B',
            u'\u1E8C': u'\u1E8D',
            u'\u1E8E': u'\u1E8F',
            u'\u1E90': u'\u1E91',
            u'\u1E92': u'\u1E93',
            u'\u1E94': u'\u1E95',
            u'\u1E96': u'\u0068\u0331',
            u'\u1E97': u'\u0074\u0308',
            u'\u1E98': u'\u0077\u030A',
            u'\u1E99': u'\u0079\u030A',
            u'\u1E9A': u'\u0061\u02BE',
            u'\u1E9B': u'\u1E61',
            u'\u1EA0': u'\u1EA1',
            u'\u1EA2': u'\u1EA3',
            u'\u1EA4': u'\u1EA5',
            u'\u1EA6': u'\u1EA7',
            u'\u1EA8': u'\u1EA9',
            u'\u1EAA': u'\u1EAB',
            u'\u1EAC': u'\u1EAD',
            u'\u1EAE': u'\u1EAF',
            u'\u1EB0': u'\u1EB1',
            u'\u1EB2': u'\u1EB3',
            u'\u1EB4': u'\u1EB5',
            u'\u1EB6': u'\u1EB7',
            u'\u1EB8': u'\u1EB9',
            u'\u1EBA': u'\u1EBB',
            u'\u1EBC': u'\u1EBD',
            u'\u1EBE': u'\u1EBF',
            u'\u1EC0': u'\u1EC1',
            u'\u1EC2': u'\u1EC3',
            u'\u1EC4': u'\u1EC5',
            u'\u1EC6': u'\u1EC7',
            u'\u1EC8': u'\u1EC9',
            u'\u1ECA': u'\u1ECB',
            u'\u1ECC': u'\u1ECD',
            u'\u1ECE': u'\u1ECF',
            u'\u1ED0': u'\u1ED1',
            u'\u1ED2': u'\u1ED3',
            u'\u1ED4': u'\u1ED5',
            u'\u1ED6': u'\u1ED7',
            u'\u1ED8': u'\u1ED9',
            u'\u1EDA': u'\u1EDB',
            u'\u1EDC': u'\u1EDD',
            u'\u1EDE': u'\u1EDF',
            u'\u1EE0': u'\u1EE1',
            u'\u1EE2': u'\u1EE3',
            u'\u1EE4': u'\u1EE5',
            u'\u1EE6': u'\u1EE7',
            u'\u1EE8': u'\u1EE9',
            u'\u1EEA': u'\u1EEB',
            u'\u1EEC': u'\u1EED',
            u'\u1EEE': u'\u1EEF',
            u'\u1EF0': u'\u1EF1',
            u'\u1EF2': u'\u1EF3',
            u'\u1EF4': u'\u1EF5',
            u'\u1EF6': u'\u1EF7',
            u'\u1EF8': u'\u1EF9',
            u'\u1F08': u'\u1F00',
            u'\u1F09': u'\u1F01',
            u'\u1F0A': u'\u1F02',
            u'\u1F0B': u'\u1F03',
            u'\u1F0C': u'\u1F04',
            u'\u1F0D': u'\u1F05',
            u'\u1F0E': u'\u1F06',
            u'\u1F0F': u'\u1F07',
            u'\u1F18': u'\u1F10',
            u'\u1F19': u'\u1F11',
            u'\u1F1A': u'\u1F12',
            u'\u1F1B': u'\u1F13',
            u'\u1F1C': u'\u1F14',
            u'\u1F1D': u'\u1F15',
            u'\u1F28': u'\u1F20',
            u'\u1F29': u'\u1F21',
            u'\u1F2A': u'\u1F22',
            u'\u1F2B': u'\u1F23',
            u'\u1F2C': u'\u1F24',
            u'\u1F2D': u'\u1F25',
            u'\u1F2E': u'\u1F26',
            u'\u1F2F': u'\u1F27',
            u'\u1F38': u'\u1F30',
            u'\u1F39': u'\u1F31',
            u'\u1F3A': u'\u1F32',
            u'\u1F3B': u'\u1F33',
            u'\u1F3C': u'\u1F34',
            u'\u1F3D': u'\u1F35',
            u'\u1F3E': u'\u1F36',
            u'\u1F3F': u'\u1F37',
            u'\u1F48': u'\u1F40',
            u'\u1F49': u'\u1F41',
            u'\u1F4A': u'\u1F42',
            u'\u1F4B': u'\u1F43',
            u'\u1F4C': u'\u1F44',
            u'\u1F4D': u'\u1F45',
            u'\u1F50': u'\u03C5\u0313',
            u'\u1F52': u'\u03C5\u0313\u0300',
            u'\u1F54': u'\u03C5\u0313\u0301',
            u'\u1F56': u'\u03C5\u0313\u0342',
            u'\u1F59': u'\u1F51',
            u'\u1F5B': u'\u1F53',
            u'\u1F5D': u'\u1F55',
            u'\u1F5F': u'\u1F57',
            u'\u1F68': u'\u1F60',
            u'\u1F69': u'\u1F61',
            u'\u1F6A': u'\u1F62',
            u'\u1F6B': u'\u1F63',
            u'\u1F6C': u'\u1F64',
            u'\u1F6D': u'\u1F65',
            u'\u1F6E': u'\u1F66',
            u'\u1F6F': u'\u1F67',
            u'\u1F80': u'\u1F00\u03B9',
            u'\u1F81': u'\u1F01\u03B9',
            u'\u1F82': u'\u1F02\u03B9',
            u'\u1F83': u'\u1F03\u03B9',
            u'\u1F84': u'\u1F04\u03B9',
            u'\u1F85': u'\u1F05\u03B9',
            u'\u1F86': u'\u1F06\u03B9',
            u'\u1F87': u'\u1F07\u03B9',
            u'\u1F88': u'\u1F00\u03B9',
            u'\u1F89': u'\u1F01\u03B9',
            u'\u1F8A': u'\u1F02\u03B9',
            u'\u1F8B': u'\u1F03\u03B9',
            u'\u1F8C': u'\u1F04\u03B9',
            u'\u1F8D': u'\u1F05\u03B9',
            u'\u1F8E': u'\u1F06\u03B9',
            u'\u1F8F': u'\u1F07\u03B9',
            u'\u1F90': u'\u1F20\u03B9',
            u'\u1F91': u'\u1F21\u03B9',
            u'\u1F92': u'\u1F22\u03B9',
            u'\u1F93': u'\u1F23\u03B9',
            u'\u1F94': u'\u1F24\u03B9',
            u'\u1F95': u'\u1F25\u03B9',
            u'\u1F96': u'\u1F26\u03B9',
            u'\u1F97': u'\u1F27\u03B9',
            u'\u1F98': u'\u1F20\u03B9',
            u'\u1F99': u'\u1F21\u03B9',
            u'\u1F9A': u'\u1F22\u03B9',
            u'\u1F9B': u'\u1F23\u03B9',
            u'\u1F9C': u'\u1F24\u03B9',
            u'\u1F9D': u'\u1F25\u03B9',
            u'\u1F9E': u'\u1F26\u03B9',
            u'\u1F9F': u'\u1F27\u03B9',
            u'\u1FA0': u'\u1F60\u03B9',
            u'\u1FA1': u'\u1F61\u03B9',
            u'\u1FA2': u'\u1F62\u03B9',
            u'\u1FA3': u'\u1F63\u03B9',
            u'\u1FA4': u'\u1F64\u03B9',
            u'\u1FA5': u'\u1F65\u03B9',
            u'\u1FA6': u'\u1F66\u03B9',
            u'\u1FA7': u'\u1F67\u03B9',
            u'\u1FA8': u'\u1F60\u03B9',
            u'\u1FA9': u'\u1F61\u03B9',
            u'\u1FAA': u'\u1F62\u03B9',
            u'\u1FAB': u'\u1F63\u03B9',
            u'\u1FAC': u'\u1F64\u03B9',
            u'\u1FAD': u'\u1F65\u03B9',
            u'\u1FAE': u'\u1F66\u03B9',
            u'\u1FAF': u'\u1F67\u03B9',
            u'\u1FB2': u'\u1F70\u03B9',
            u'\u1FB3': u'\u03B1\u03B9',
            u'\u1FB4': u'\u03AC\u03B9',
            u'\u1FB6': u'\u03B1\u0342',
            u'\u1FB7': u'\u03B1\u0342\u03B9',
            u'\u1FB8': u'\u1FB0',
            u'\u1FB9': u'\u1FB1',
            u'\u1FBA': u'\u1F70',
            u'\u1FBB': u'\u1F71',
            u'\u1FBC': u'\u03B1\u03B9',
            u'\u1FBE': u'\u03B9',
            u'\u1FC2': u'\u1F74\u03B9',
            u'\u1FC3': u'\u03B7\u03B9',
            u'\u1FC4': u'\u03AE\u03B9',
            u'\u1FC6': u'\u03B7\u0342',
            u'\u1FC7': u'\u03B7\u0342\u03B9',
            u'\u1FC8': u'\u1F72',
            u'\u1FC9': u'\u1F73',
            u'\u1FCA': u'\u1F74',
            u'\u1FCB': u'\u1F75',
            u'\u1FCC': u'\u03B7\u03B9',
            u'\u1FD2': u'\u03B9\u0308\u0300',
            u'\u1FD3': u'\u03B9\u0308\u0301',
            u'\u1FD6': u'\u03B9\u0342',
            u'\u1FD7': u'\u03B9\u0308\u0342',
            u'\u1FD8': u'\u1FD0',
            u'\u1FD9': u'\u1FD1',
            u'\u1FDA': u'\u1F76',
            u'\u1FDB': u'\u1F77',
            u'\u1FE2': u'\u03C5\u0308\u0300',
            u'\u1FE3': u'\u03C5\u0308\u0301',
            u'\u1FE4': u'\u03C1\u0313',
            u'\u1FE6': u'\u03C5\u0342',
            u'\u1FE7': u'\u03C5\u0308\u0342',
            u'\u1FE8': u'\u1FE0',
            u'\u1FE9': u'\u1FE1',
            u'\u1FEA': u'\u1F7A',
            u'\u1FEB': u'\u1F7B',
            u'\u1FEC': u'\u1FE5',
            u'\u1FF2': u'\u1F7C\u03B9',
            u'\u1FF3': u'\u03C9\u03B9',
            u'\u1FF4': u'\u03CE\u03B9',
            u'\u1FF6': u'\u03C9\u0342',
            u'\u1FF7': u'\u03C9\u0342\u03B9',
            u'\u1FF8': u'\u1F78',
            u'\u1FF9': u'\u1F79',
            u'\u1FFA': u'\u1F7C',
            u'\u1FFB': u'\u1F7D',
            u'\u1FFC': u'\u03C9\u03B9',
            u'\u20A8': u'\u0072\u0073',
            u'\u2102': u'\u0063',
            u'\u2103': u'\u00B0\u0063',
            u'\u2107': u'\u025B',
            u'\u2109': u'\u00B0\u0066',
            u'\u210B': u'\u0068',
            u'\u210C': u'\u0068',
            u'\u210D': u'\u0068',
            u'\u2110': u'\u0069',
            u'\u2111': u'\u0069',
            u'\u2112': u'\u006C',
            u'\u2115': u'\u006E',
            u'\u2116': u'\u006E\u006F',
            u'\u2119': u'\u0070',
            u'\u211A': u'\u0071',
            u'\u211B': u'\u0072',
            u'\u211C': u'\u0072',
            u'\u211D': u'\u0072',
            u'\u2120': u'\u0073\u006D',
            u'\u2121': u'\u0074\u0065\u006C',
            u'\u2122': u'\u0074\u006D',
            u'\u2124': u'\u007A',
            u'\u2126': u'\u03C9',
            u'\u2128': u'\u007A',
            u'\u212A': u'\u006B',
            u'\u212B': u'\u00E5',
            u'\u212C': u'\u0062',
            u'\u212D': u'\u0063',
            u'\u2130': u'\u0065',
            u'\u2131': u'\u0066',
            u'\u2133': u'\u006D',
            u'\u213E': u'\u03B3',
            u'\u213F': u'\u03C0',
            u'\u2145': u'\u0064',
            u'\u2160': u'\u2170',
            u'\u2161': u'\u2171',
            u'\u2162': u'\u2172',
            u'\u2163': u'\u2173',
            u'\u2164': u'\u2174',
            u'\u2165': u'\u2175',
            u'\u2166': u'\u2176',
            u'\u2167': u'\u2177',
            u'\u2168': u'\u2178',
            u'\u2169': u'\u2179',
            u'\u216A': u'\u217A',
            u'\u216B': u'\u217B',
            u'\u216C': u'\u217C',
            u'\u216D': u'\u217D',
            u'\u216E': u'\u217E',
            u'\u216F': u'\u217F',
            u'\u24B6': u'\u24D0',
            u'\u24B7': u'\u24D1',
            u'\u24B8': u'\u24D2',
            u'\u24B9': u'\u24D3',
            u'\u24BA': u'\u24D4',
            u'\u24BB': u'\u24D5',
            u'\u24BC': u'\u24D6',
            u'\u24BD': u'\u24D7',
            u'\u24BE': u'\u24D8',
            u'\u24BF': u'\u24D9',
            u'\u24C0': u'\u24DA',
            u'\u24C1': u'\u24DB',
            u'\u24C2': u'\u24DC',
            u'\u24C3': u'\u24DD',
            u'\u24C4': u'\u24DE',
            u'\u24C5': u'\u24DF',
            u'\u24C6': u'\u24E0',
            u'\u24C7': u'\u24E1',
            u'\u24C8': u'\u24E2',
            u'\u24C9': u'\u24E3',
            u'\u24CA': u'\u24E4',
            u'\u24CB': u'\u24E5',
            u'\u24CC': u'\u24E6',
            u'\u24CD': u'\u24E7',
            u'\u24CE': u'\u24E8',
            u'\u24CF': u'\u24E9',
            u'\u3371': u'\u0068\u0070\u0061',
            u'\u3373': u'\u0061\u0075',
            u'\u3375': u'\u006F\u0076',
            u'\u3380': u'\u0070\u0061',
            u'\u3381': u'\u006E\u0061',
            u'\u3382': u'\u03BC\u0061',
            u'\u3383': u'\u006D\u0061',
            u'\u3384': u'\u006B\u0061',
            u'\u3385': u'\u006B\u0062',
            u'\u3386': u'\u006D\u0062',
            u'\u3387': u'\u0067\u0062',
            u'\u338A': u'\u0070\u0066',
            u'\u338B': u'\u006E\u0066',
            u'\u338C': u'\u03BC\u0066',
            u'\u3390': u'\u0068\u007A',
            u'\u3391': u'\u006B\u0068\u007A',
            u'\u3392': u'\u006D\u0068\u007A',
            u'\u3393': u'\u0067\u0068\u007A',
            u'\u3394': u'\u0074\u0068\u007A',
            u'\u33A9': u'\u0070\u0061',
            u'\u33AA': u'\u006B\u0070\u0061',
            u'\u33AB': u'\u006D\u0070\u0061',
            u'\u33AC': u'\u0067\u0070\u0061',
            u'\u33B4': u'\u0070\u0076',
            u'\u33B5': u'\u006E\u0076',
            u'\u33B6': u'\u03BC\u0076',
            u'\u33B7': u'\u006D\u0076',
            u'\u33B8': u'\u006B\u0076',
            u'\u33B9': u'\u006D\u0076',
            u'\u33BA': u'\u0070\u0077',
            u'\u33BB': u'\u006E\u0077',
            u'\u33BC': u'\u03BC\u0077',
            u'\u33BD': u'\u006D\u0077',
            u'\u33BE': u'\u006B\u0077',
            u'\u33BF': u'\u006D\u0077',
            u'\u33C0': u'\u006B\u03C9',
            u'\u33C1': u'\u006D\u03C9',
            u'\u33C3': u'\u0062\u0071',
            u'\u33C6': u'\u0063\u2215\u006B\u0067',
            u'\u33C7': u'\u0063\u006F\u002E',
            u'\u33C8': u'\u0064\u0062',
            u'\u33C9': u'\u0067\u0079',
            u'\u33CB': u'\u0068\u0070',
            u'\u33CD': u'\u006B\u006B',
            u'\u33CE': u'\u006B\u006D',
            u'\u33D7': u'\u0070\u0068',
            u'\u33D9': u'\u0070\u0070\u006D',
            u'\u33DA': u'\u0070\u0072',
            u'\u33DC': u'\u0073\u0076',
            u'\u33DD': u'\u0077\u0062',
            u'\uFB00': u'\u0066\u0066',
            u'\uFB01': u'\u0066\u0069',
            u'\uFB02': u'\u0066\u006C',
            u'\uFB03': u'\u0066\u0066\u0069',
            u'\uFB04': u'\u0066\u0066\u006C',
            u'\uFB05': u'\u0073\u0074',
            u'\uFB06': u'\u0073\u0074',
            u'\uFB13': u'\u0574\u0576',
            u'\uFB14': u'\u0574\u0565',
            u'\uFB15': u'\u0574\u056B',
            u'\uFB16': u'\u057E\u0576',
            u'\uFB17': u'\u0574\u056D',
            u'\uFF21': u'\uFF41',
            u'\uFF22': u'\uFF42',
            u'\uFF23': u'\uFF43',
            u'\uFF24': u'\uFF44',
            u'\uFF25': u'\uFF45',
            u'\uFF26': u'\uFF46',
            u'\uFF27': u'\uFF47',
            u'\uFF28': u'\uFF48',
            u'\uFF29': u'\uFF49',
            u'\uFF2A': u'\uFF4A',
            u'\uFF2B': u'\uFF4B',
            u'\uFF2C': u'\uFF4C',
            u'\uFF2D': u'\uFF4D',
            u'\uFF2E': u'\uFF4E',
            u'\uFF2F': u'\uFF4F',
            u'\uFF30': u'\uFF50',
            u'\uFF31': u'\uFF51',
            u'\uFF32': u'\uFF52',
            u'\uFF33': u'\uFF53',
            u'\uFF34': u'\uFF54',
            u'\uFF35': u'\uFF55',
            u'\uFF36': u'\uFF56',
            u'\uFF37': u'\uFF57',
            u'\uFF38': u'\uFF58',
            u'\uFF39': u'\uFF59',
            u'\uFF3A': u'\uFF5A',
    #       u'\U00010400': u'\U00010428',
    #       u'\U00010401': u'\U00010429',
    #       u'\U00010402': u'\U0001042A',
    #       u'\U00010403': u'\U0001042B',
    #       u'\U00010404': u'\U0001042C',
    #       u'\U00010405': u'\U0001042D',
    #       u'\U00010406': u'\U0001042E',
    #       u'\U00010407': u'\U0001042F',
    #       u'\U00010408': u'\U00010430',
    #       u'\U00010409': u'\U00010431',
    #       u'\U0001040A': u'\U00010432',
    #       u'\U0001040B': u'\U00010433',
    #       u'\U0001040C': u'\U00010434',
    #       u'\U0001040D': u'\U00010435',
    #       u'\U0001040E': u'\U00010436',
    #       u'\U0001040F': u'\U00010437',
    #       u'\U00010410': u'\U00010438',
    #       u'\U00010411': u'\U00010439',
    #       u'\U00010412': u'\U0001043A',
    #       u'\U00010413': u'\U0001043B',
    #       u'\U00010414': u'\U0001043C',
    #       u'\U00010415': u'\U0001043D',
    #       u'\U00010416': u'\U0001043E',
    #       u'\U00010417': u'\U0001043F',
    #       u'\U00010418': u'\U00010440',
    #       u'\U00010419': u'\U00010441',
    #       u'\U0001041A': u'\U00010442',
    #       u'\U0001041B': u'\U00010443',
    #       u'\U0001041C': u'\U00010444',
    #       u'\U0001041D': u'\U00010445',
    #       u'\U0001041E': u'\U00010446',
    #       u'\U0001041F': u'\U00010447',
    #       u'\U00010420': u'\U00010448',
    #       u'\U00010421': u'\U00010449',
    #       u'\U00010422': u'\U0001044A',
    #       u'\U00010423': u'\U0001044B',
    #       u'\U00010424': u'\U0001044C',
    #       u'\U00010425': u'\U0001044D',
    #       u'\U0001D400': u'\u0061',
    #       u'\U0001D401': u'\u0062',
    #       u'\U0001D402': u'\u0063',
    #       u'\U0001D403': u'\u0064',
    #       u'\U0001D404': u'\u0065',
    #       u'\U0001D405': u'\u0066',
    #       u'\U0001D406': u'\u0067',
    #       u'\U0001D407': u'\u0068',
    #       u'\U0001D408': u'\u0069',
    #       u'\U0001D409': u'\u006A',
    #       u'\U0001D40A': u'\u006B',
    #       u'\U0001D40B': u'\u006C',
    #       u'\U0001D40C': u'\u006D',
    #       u'\U0001D40D': u'\u006E',
    #       u'\U0001D40E': u'\u006F',
    #       u'\U0001D40F': u'\u0070',
    #       u'\U0001D410': u'\u0071',
    #       u'\U0001D411': u'\u0072',
    #       u'\U0001D412': u'\u0073',
    #       u'\U0001D413': u'\u0074',
    #       u'\U0001D414': u'\u0075',
    #       u'\U0001D415': u'\u0076',
    #       u'\U0001D416': u'\u0077',
    #       u'\U0001D417': u'\u0078',
    #       u'\U0001D418': u'\u0079',
    #       u'\U0001D419': u'\u007A',
    #       u'\U0001D434': u'\u0061',
    #       u'\U0001D435': u'\u0062',
    #       u'\U0001D436': u'\u0063',
    #       u'\U0001D437': u'\u0064',
    #       u'\U0001D438': u'\u0065',
    #       u'\U0001D439': u'\u0066',
    #       u'\U0001D43A': u'\u0067',
    #       u'\U0001D43B': u'\u0068',
    #       u'\U0001D43C': u'\u0069',
    #       u'\U0001D43D': u'\u006A',
    #       u'\U0001D43E': u'\u006B',
    #       u'\U0001D43F': u'\u006C',
    #       u'\U0001D440': u'\u006D',
    #       u'\U0001D441': u'\u006E',
    #       u'\U0001D442': u'\u006F',
    #       u'\U0001D443': u'\u0070',
    #       u'\U0001D444': u'\u0071',
    #       u'\U0001D445': u'\u0072',
    #       u'\U0001D446': u'\u0073',
    #       u'\U0001D447': u'\u0074',
    #       u'\U0001D448': u'\u0075',
    #       u'\U0001D449': u'\u0076',
    #       u'\U0001D44A': u'\u0077',
    #       u'\U0001D44B': u'\u0078',
    #       u'\U0001D44C': u'\u0079',
    #       u'\U0001D44D': u'\u007A',
    #       u'\U0001D468': u'\u0061',
    #       u'\U0001D469': u'\u0062',
    #       u'\U0001D46A': u'\u0063',
    #       u'\U0001D46B': u'\u0064',
    #       u'\U0001D46C': u'\u0065',
    #       u'\U0001D46D': u'\u0066',
    #       u'\U0001D46E': u'\u0067',
    #       u'\U0001D46F': u'\u0068',
    #       u'\U0001D470': u'\u0069',
    #       u'\U0001D471': u'\u006A',
    #       u'\U0001D472': u'\u006B',
    #       u'\U0001D473': u'\u006C',
    #       u'\U0001D474': u'\u006D',
    #       u'\U0001D475': u'\u006E',
    #       u'\U0001D476': u'\u006F',
    #       u'\U0001D477': u'\u0070',
    #       u'\U0001D478': u'\u0071',
    #       u'\U0001D479': u'\u0072',
    #       u'\U0001D47A': u'\u0073',
    #       u'\U0001D47B': u'\u0074',
    #       u'\U0001D47C': u'\u0075',
    #       u'\U0001D47D': u'\u0076',
    #       u'\U0001D47E': u'\u0077',
    #       u'\U0001D47F': u'\u0078',
    #       u'\U0001D480': u'\u0079',
    #       u'\U0001D481': u'\u007A',
    #       u'\U0001D49C': u'\u0061',
    #       u'\U0001D49E': u'\u0063',
    #       u'\U0001D49F': u'\u0064',
    #       u'\U0001D4A2': u'\u0067',
    #       u'\U0001D4A5': u'\u006A',
    #       u'\U0001D4A6': u'\u006B',
    #       u'\U0001D4A9': u'\u006E',
    #       u'\U0001D4AA': u'\u006F',
    #       u'\U0001D4AB': u'\u0070',
    #       u'\U0001D4AC': u'\u0071',
    #       u'\U0001D4AE': u'\u0073',
    #       u'\U0001D4AF': u'\u0074',
    #       u'\U0001D4B0': u'\u0075',
    #       u'\U0001D4B1': u'\u0076',
    #       u'\U0001D4B2': u'\u0077',
    #       u'\U0001D4B3': u'\u0078',
    #       u'\U0001D4B4': u'\u0079',
    #       u'\U0001D4B5': u'\u007A',
    #       u'\U0001D4D0': u'\u0061',
    #       u'\U0001D4D1': u'\u0062',
    #       u'\U0001D4D2': u'\u0063',
    #       u'\U0001D4D3': u'\u0064',
    #       u'\U0001D4D4': u'\u0065',
    #       u'\U0001D4D5': u'\u0066',
    #       u'\U0001D4D6': u'\u0067',
    #       u'\U0001D4D7': u'\u0068',
    #       u'\U0001D4D8': u'\u0069',
    #       u'\U0001D4D9': u'\u006A',
    #       u'\U0001D4DA': u'\u006B',
    #       u'\U0001D4DB': u'\u006C',
    #       u'\U0001D4DC': u'\u006D',
    #       u'\U0001D4DD': u'\u006E',
    #       u'\U0001D4DE': u'\u006F',
    #       u'\U0001D4DF': u'\u0070',
    #       u'\U0001D4E0': u'\u0071',
    #       u'\U0001D4E1': u'\u0072',
    #       u'\U0001D4E2': u'\u0073',
    #       u'\U0001D4E3': u'\u0074',
    #       u'\U0001D4E4': u'\u0075',
    #       u'\U0001D4E5': u'\u0076',
    #       u'\U0001D4E6': u'\u0077',
    #       u'\U0001D4E7': u'\u0078',
    #       u'\U0001D4E8': u'\u0079',
    #       u'\U0001D4E9': u'\u007A',
    #       u'\U0001D504': u'\u0061',
    #       u'\U0001D505': u'\u0062',
    #       u'\U0001D507': u'\u0064',
    #       u'\U0001D508': u'\u0065',
    #       u'\U0001D509': u'\u0066',
    #       u'\U0001D50A': u'\u0067',
    #       u'\U0001D50D': u'\u006A',
    #       u'\U0001D50E': u'\u006B',
    #       u'\U0001D50F': u'\u006C',
    #       u'\U0001D510': u'\u006D',
    #       u'\U0001D511': u'\u006E',
    #       u'\U0001D512': u'\u006F',
    #       u'\U0001D513': u'\u0070',
    #       u'\U0001D514': u'\u0071',
    #       u'\U0001D516': u'\u0073',
    #       u'\U0001D517': u'\u0074',
    #       u'\U0001D518': u'\u0075',
    #       u'\U0001D519': u'\u0076',
    #       u'\U0001D51A': u'\u0077',
    #       u'\U0001D51B': u'\u0078',
    #       u'\U0001D51C': u'\u0079',
    #       u'\U0001D538': u'\u0061',
    #       u'\U0001D539': u'\u0062',
    #       u'\U0001D53B': u'\u0064',
    #       u'\U0001D53C': u'\u0065',
    #       u'\U0001D53D': u'\u0066',
    #       u'\U0001D53E': u'\u0067',
    #       u'\U0001D540': u'\u0069',
    #       u'\U0001D541': u'\u006A',
    #       u'\U0001D542': u'\u006B',
    #       u'\U0001D543': u'\u006C',
    #       u'\U0001D544': u'\u006D',
    #       u'\U0001D546': u'\u006F',
    #       u'\U0001D54A': u'\u0073',
    #       u'\U0001D54B': u'\u0074',
    #       u'\U0001D54C': u'\u0075',
    #       u'\U0001D54D': u'\u0076',
    #       u'\U0001D54E': u'\u0077',
    #       u'\U0001D54F': u'\u0078',
    #       u'\U0001D550': u'\u0079',
    #       u'\U0001D56C': u'\u0061',
    #       u'\U0001D56D': u'\u0062',
    #       u'\U0001D56E': u'\u0063',
    #       u'\U0001D56F': u'\u0064',
    #       u'\U0001D570': u'\u0065',
    #       u'\U0001D571': u'\u0066',
    #       u'\U0001D572': u'\u0067',
    #       u'\U0001D573': u'\u0068',
    #       u'\U0001D574': u'\u0069',
    #       u'\U0001D575': u'\u006A',
    #       u'\U0001D576': u'\u006B',
    #       u'\U0001D577': u'\u006C',
    #       u'\U0001D578': u'\u006D',
    #       u'\U0001D579': u'\u006E',
    #       u'\U0001D57A': u'\u006F',
    #       u'\U0001D57B': u'\u0070',
    #       u'\U0001D57C': u'\u0071',
    #       u'\U0001D57D': u'\u0072',
    #       u'\U0001D57E': u'\u0073',
    #       u'\U0001D57F': u'\u0074',
    #       u'\U0001D580': u'\u0075',
    #       u'\U0001D581': u'\u0076',
    #       u'\U0001D582': u'\u0077',
    #       u'\U0001D583': u'\u0078',
    #       u'\U0001D584': u'\u0079',
    #       u'\U0001D585': u'\u007A',
    #       u'\U0001D5A0': u'\u0061',
    #       u'\U0001D5A1': u'\u0062',
    #       u'\U0001D5A2': u'\u0063',
    #       u'\U0001D5A3': u'\u0064',
    #       u'\U0001D5A4': u'\u0065',
    #       u'\U0001D5A5': u'\u0066',
    #       u'\U0001D5A6': u'\u0067',
    #       u'\U0001D5A7': u'\u0068',
    #       u'\U0001D5A8': u'\u0069',
    #       u'\U0001D5A9': u'\u006A',
    #       u'\U0001D5AA': u'\u006B',
    #       u'\U0001D5AB': u'\u006C',
    #       u'\U0001D5AC': u'\u006D',
    #       u'\U0001D5AD': u'\u006E',
    #       u'\U0001D5AE': u'\u006F',
    #       u'\U0001D5AF': u'\u0070',
    #       u'\U0001D5B0': u'\u0071',
    #       u'\U0001D5B1': u'\u0072',
    #       u'\U0001D5B2': u'\u0073',
    #       u'\U0001D5B3': u'\u0074',
    #       u'\U0001D5B4': u'\u0075',
    #       u'\U0001D5B5': u'\u0076',
    #       u'\U0001D5B6': u'\u0077',
    #       u'\U0001D5B7': u'\u0078',
    #       u'\U0001D5B8': u'\u0079',
    #       u'\U0001D5B9': u'\u007A',
    #       u'\U0001D5D4': u'\u0061',
    #       u'\U0001D5D5': u'\u0062',
    #       u'\U0001D5D6': u'\u0063',
    #       u'\U0001D5D7': u'\u0064',
    #       u'\U0001D5D8': u'\u0065',
    #       u'\U0001D5D9': u'\u0066',
    #       u'\U0001D5DA': u'\u0067',
    #       u'\U0001D5DB': u'\u0068',
    #       u'\U0001D5DC': u'\u0069',
    #       u'\U0001D5DD': u'\u006A',
    #       u'\U0001D5DE': u'\u006B',
    #       u'\U0001D5DF': u'\u006C',
    #       u'\U0001D5E0': u'\u006D',
    #       u'\U0001D5E1': u'\u006E',
    #       u'\U0001D5E2': u'\u006F',
    #       u'\U0001D5E3': u'\u0070',
    #       u'\U0001D5E4': u'\u0071',
    #       u'\U0001D5E5': u'\u0072',
    #       u'\U0001D5E6': u'\u0073',
    #       u'\U0001D5E7': u'\u0074',
    #       u'\U0001D5E8': u'\u0075',
    #       u'\U0001D5E9': u'\u0076',
    #       u'\U0001D5EA': u'\u0077',
    #       u'\U0001D5EB': u'\u0078',
    #       u'\U0001D5EC': u'\u0079',
    #       u'\U0001D5ED': u'\u007A',
    #       u'\U0001D608': u'\u0061',
    #       u'\U0001D609': u'\u0062',
    #       u'\U0001D60A': u'\u0063',
    #       u'\U0001D60B': u'\u0064',
    #       u'\U0001D60C': u'\u0065',
    #       u'\U0001D60D': u'\u0066',
    #       u'\U0001D60E': u'\u0067',
    #       u'\U0001D60F': u'\u0068',
    #       u'\U0001D610': u'\u0069',
    #       u'\U0001D611': u'\u006A',
    #       u'\U0001D612': u'\u006B',
    #       u'\U0001D613': u'\u006C',
    #       u'\U0001D614': u'\u006D',
    #       u'\U0001D615': u'\u006E',
    #       u'\U0001D616': u'\u006F',
    #       u'\U0001D617': u'\u0070',
    #       u'\U0001D618': u'\u0071',
    #       u'\U0001D619': u'\u0072',
    #       u'\U0001D61A': u'\u0073',
    #       u'\U0001D61B': u'\u0074',
    #       u'\U0001D61C': u'\u0075',
    #       u'\U0001D61D': u'\u0076',
    #       u'\U0001D61E': u'\u0077',
    #       u'\U0001D61F': u'\u0078',
    #       u'\U0001D620': u'\u0079',
    #       u'\U0001D621': u'\u007A',
    #       u'\U0001D63C': u'\u0061',
    #       u'\U0001D63D': u'\u0062',
    #       u'\U0001D63E': u'\u0063',
    #       u'\U0001D63F': u'\u0064',
    #       u'\U0001D640': u'\u0065',
    #       u'\U0001D641': u'\u0066',
    #       u'\U0001D642': u'\u0067',
    #       u'\U0001D643': u'\u0068',
    #       u'\U0001D644': u'\u0069',
    #       u'\U0001D645': u'\u006A',
    #       u'\U0001D646': u'\u006B',
    #       u'\U0001D647': u'\u006C',
    #       u'\U0001D648': u'\u006D',
    #       u'\U0001D649': u'\u006E',
    #       u'\U0001D64A': u'\u006F',
    #       u'\U0001D64B': u'\u0070',
    #       u'\U0001D64C': u'\u0071',
    #       u'\U0001D64D': u'\u0072',
    #       u'\U0001D64E': u'\u0073',
    #       u'\U0001D64F': u'\u0074',
    #       u'\U0001D650': u'\u0075',
    #       u'\U0001D651': u'\u0076',
    #       u'\U0001D652': u'\u0077',
    #       u'\U0001D653': u'\u0078',
    #       u'\U0001D654': u'\u0079',
    #       u'\U0001D655': u'\u007A',
    #       u'\U0001D670': u'\u0061',
    #       u'\U0001D671': u'\u0062',
    #       u'\U0001D672': u'\u0063',
    #       u'\U0001D673': u'\u0064',
    #       u'\U0001D674': u'\u0065',
    #       u'\U0001D675': u'\u0066',
    #       u'\U0001D676': u'\u0067',
    #       u'\U0001D677': u'\u0068',
    #       u'\U0001D678': u'\u0069',
    #       u'\U0001D679': u'\u006A',
    #       u'\U0001D67A': u'\u006B',
    #       u'\U0001D67B': u'\u006C',
    #       u'\U0001D67C': u'\u006D',
    #       u'\U0001D67D': u'\u006E',
    #       u'\U0001D67E': u'\u006F',
    #       u'\U0001D67F': u'\u0070',
    #       u'\U0001D680': u'\u0071',
    #       u'\U0001D681': u'\u0072',
    #       u'\U0001D682': u'\u0073',
    #       u'\U0001D683': u'\u0074',
    #       u'\U0001D684': u'\u0075',
    #       u'\U0001D685': u'\u0076',
    #       u'\U0001D686': u'\u0077',
    #       u'\U0001D687': u'\u0078',
    #       u'\U0001D688': u'\u0079',
    #       u'\U0001D689': u'\u007A',
    #       u'\U0001D6A8': u'\u03B1',
    #       u'\U0001D6A9': u'\u03B2',
    #       u'\U0001D6AA': u'\u03B3',
    #       u'\U0001D6AB': u'\u03B4',
    #       u'\U0001D6AC': u'\u03B5',
    #       u'\U0001D6AD': u'\u03B6',
    #       u'\U0001D6AE': u'\u03B7',
    #       u'\U0001D6AF': u'\u03B8',
    #       u'\U0001D6B0': u'\u03B9',
    #       u'\U0001D6B1': u'\u03BA',
    #       u'\U0001D6B2': u'\u03BB',
    #       u'\U0001D6B3': u'\u03BC',
    #       u'\U0001D6B4': u'\u03BD',
    #       u'\U0001D6B5': u'\u03BE',
    #       u'\U0001D6B6': u'\u03BF',
    #       u'\U0001D6B7': u'\u03C0',
    #       u'\U0001D6B8': u'\u03C1',
    #       u'\U0001D6B9': u'\u03B8',
    #       u'\U0001D6BA': u'\u03C3',
    #       u'\U0001D6BB': u'\u03C4',
    #       u'\U0001D6BC': u'\u03C5',
    #       u'\U0001D6BD': u'\u03C6',
    #       u'\U0001D6BE': u'\u03C7',
    #       u'\U0001D6BF': u'\u03C8',
    #       u'\U0001D6C0': u'\u03C9',
    #       u'\U0001D6D3': u'\u03C3',
    #       u'\U0001D6E2': u'\u03B1',
    #       u'\U0001D6E3': u'\u03B2',
    #       u'\U0001D6E4': u'\u03B3',
    #       u'\U0001D6E5': u'\u03B4',
    #       u'\U0001D6E6': u'\u03B5',
    #       u'\U0001D6E7': u'\u03B6',
    #       u'\U0001D6E8': u'\u03B7',
    #       u'\U0001D6E9': u'\u03B8',
    #       u'\U0001D6EA': u'\u03B9',
    #       u'\U0001D6EB': u'\u03BA',
    #       u'\U0001D6EC': u'\u03BB',
    #       u'\U0001D6ED': u'\u03BC',
    #       u'\U0001D6EE': u'\u03BD',
    #       u'\U0001D6EF': u'\u03BE',
    #       u'\U0001D6F0': u'\u03BF',
    #       u'\U0001D6F1': u'\u03C0',
    #       u'\U0001D6F2': u'\u03C1',
    #       u'\U0001D6F3': u'\u03B8',
    #       u'\U0001D6F4': u'\u03C3',
    #       u'\U0001D6F5': u'\u03C4',
    #       u'\U0001D6F6': u'\u03C5',
    #       u'\U0001D6F7': u'\u03C6',
    #       u'\U0001D6F8': u'\u03C7',
    #       u'\U0001D6F9': u'\u03C8',
    #       u'\U0001D6FA': u'\u03C9',
    #       u'\U0001D70D': u'\u03C3',
    #       u'\U0001D71C': u'\u03B1',
    #       u'\U0001D71D': u'\u03B2',
    #       u'\U0001D71E': u'\u03B3',
    #       u'\U0001D71F': u'\u03B4',
    #       u'\U0001D720': u'\u03B5',
    #       u'\U0001D721': u'\u03B6',
    #       u'\U0001D722': u'\u03B7',
    #       u'\U0001D723': u'\u03B8',
    #       u'\U0001D724': u'\u03B9',
    #       u'\U0001D725': u'\u03BA',
    #       u'\U0001D726': u'\u03BB',
    #       u'\U0001D727': u'\u03BC',
    #       u'\U0001D728': u'\u03BD',
    #       u'\U0001D729': u'\u03BE',
    #       u'\U0001D72A': u'\u03BF',
    #       u'\U0001D72B': u'\u03C0',
    #       u'\U0001D72C': u'\u03C1',
    #       u'\U0001D72D': u'\u03B8',
    #       u'\U0001D72E': u'\u03C3',
    #       u'\U0001D72F': u'\u03C4',
    #       u'\U0001D730': u'\u03C5',
    #       u'\U0001D731': u'\u03C6',
    #       u'\U0001D732': u'\u03C7',
    #       u'\U0001D733': u'\u03C8',
    #       u'\U0001D734': u'\u03C9',
    #       u'\U0001D747': u'\u03C3',
    #       u'\U0001D756': u'\u03B1',
    #       u'\U0001D757': u'\u03B2',
    #       u'\U0001D758': u'\u03B3',
    #       u'\U0001D759': u'\u03B4',
    #       u'\U0001D75A': u'\u03B5',
    #       u'\U0001D75B': u'\u03B6',
    #       u'\U0001D75C': u'\u03B7',
    #       u'\U0001D75D': u'\u03B8',
    #       u'\U0001D75E': u'\u03B9',
    #       u'\U0001D75F': u'\u03BA',
    #       u'\U0001D760': u'\u03BB',
    #       u'\U0001D761': u'\u03BC',
    #       u'\U0001D762': u'\u03BD',
    #       u'\U0001D763': u'\u03BE',
    #       u'\U0001D764': u'\u03BF',
    #       u'\U0001D765': u'\u03C0',
    #       u'\U0001D766': u'\u03C1',
    #       u'\U0001D767': u'\u03B8',
    #       u'\U0001D768': u'\u03C3',
    #       u'\U0001D769': u'\u03C4',
    #       u'\U0001D76A': u'\u03C5',
    #       u'\U0001D76B': u'\u03C6',
    #       u'\U0001D76C': u'\u03C7',
    #       u'\U0001D76D': u'\u03C8',
    #       u'\U0001D76E': u'\u03C9',
    #       u'\U0001D781': u'\u03C3',
    #       u'\U0001D790': u'\u03B1',
    #       u'\U0001D791': u'\u03B2',
    #       u'\U0001D792': u'\u03B3',
    #       u'\U0001D793': u'\u03B4',
    #       u'\U0001D794': u'\u03B5',
    #       u'\U0001D795': u'\u03B6',
    #       u'\U0001D796': u'\u03B7',
    #       u'\U0001D797': u'\u03B8',
    #       u'\U0001D798': u'\u03B9',
    #       u'\U0001D799': u'\u03BA',
    #       u'\U0001D79A': u'\u03BB',
    #       u'\U0001D79B': u'\u03BC',
    #       u'\U0001D79C': u'\u03BD',
    #       u'\U0001D79D': u'\u03BE',
    #       u'\U0001D79E': u'\u03BF',
    #       u'\U0001D79F': u'\u03C0',
    #       u'\U0001D7A0': u'\u03C1',
    #       u'\U0001D7A1': u'\u03B8',
    #       u'\U0001D7A2': u'\u03C3',
    #       u'\U0001D7A3': u'\u03C4',
    #       u'\U0001D7A4': u'\u03C5',
    #       u'\U0001D7A5': u'\u03C6',
    #       u'\U0001D7A6': u'\u03C7',
    #       u'\U0001D7A7': u'\u03C8',
    #       u'\U0001D7A8': u'\u03C9',
    #       u'\U0001D7BB': u'\u03C3',
        },()
    )

    C_1_1=LookupTable({u' ': 1},())

    C_1_2=LookupTable({
            u'\u00A0': 1,
            u'\u1680': 1,
            u'\u2000': 1,
            u'\u2001': 1,
            u'\u2002': 1,
            u'\u2003': 1,
            u'\u2004': 1,
            u'\u2005': 1,
            u'\u2006': 1,
            u'\u2007': 1,
            u'\u2008': 1,
            u'\u2009': 1,
            u'\u200A': 1,
            u'\u200B': 1,
            u'\u202F': 1,
            u'\u205F': 1,
            u'\u3000': 1,
        },()
    )

    C_2_1=LookupTable({u'\u007f': 1},(((0x00,0x1f),1),))

    C_2_2=LookupTable({
            u'\u06DD': 1,
            u'\u070F': 1,
            u'\u180E': 1,
            u'\u200C': 1,
            u'\u200D': 1,
            u'\u2028': 1,
            u'\u2029': 1,
            u'\u2060': 1,
            u'\u2061': 1,
            u'\u2062': 1,
            u'\u2063': 1,
            u'\uFEFF': 1,
        },(
            ((0x206A,0x206F),1),
            ((0x0080,0x009F),1),
            ((0xFFF9,0xFFFC),1),
            ((0x1D173,0x1D17A),1),
        )
    )

    C_3=LookupTable({},(
            ((0xe000,0xf8ff),1),
            ((0xf0000,0xffffd),1),
            ((0x100000,0x10fffd),1),
        )
    )

    C_4=LookupTable({},(
            ((0xFDD0,0xFDEF),1),
            ((0xFFFE,0xFFFF),1),
            ((0x1FFFE,0x1FFFF),1),
            ((0x2FFFE,0x2FFFF),1),
            ((0x3FFFE,0x3FFFF),1),
            ((0x4FFFE,0x4FFFF),1),
            ((0x5FFFE,0x5FFFF),1),
            ((0x6FFFE,0x6FFFF),1),
            ((0x7FFFE,0x7FFFF),1),
            ((0x8FFFE,0x8FFFF),1),
            ((0x9FFFE,0x9FFFF),1),
            ((0xAFFFE,0xAFFFF),1),
            ((0xBFFFE,0xBFFFF),1),
            ((0xCFFFE,0xCFFFF),1),
            ((0xDFFFE,0xDFFFF),1),
            ((0xEFFFE,0xEFFFF),1),
            ((0xFFFFE,0xFFFFF),1),
            ((0x10FFFE,0x10FFFF),1),
        )
    )

    C_5=LookupTable({},(((0xd800,0xdfff),1),))

    C_6=LookupTable({
            u'\uFFF9': 1,
            u'\uFFFA': 1,
            u'\uFFFB': 1,
            u'\uFFFC': 1,
            u'\uFFFD': 1,
        },()
    )

    C_7=LookupTable({},(((0x2ff0,0x2ffb),1),))

    C_8=LookupTable({
            u'\u0340': 1,
            u'\u0341': 1,
            u'\u200E': 1,
            u'\u200F': 1,
            u'\u202A': 1,
            u'\u202B': 1,
            u'\u202C': 1,
            u'\u202D': 1,
            u'\u202E': 1,
            u'\u206A': 1,
            u'\u206B': 1,
            u'\u206C': 1,
            u'\u206D': 1,
            u'\u206E': 1,
            u'\u206F': 1,
        },()
    )

    C_9=LookupTable({
    #       u'\U000e001': 1,
        },(
            ((0xe0020,0xe007f),1),
        )
    )

    D_1=LookupTable({
            u'\u05BE': 1,
            u'\u05C0': 1,
            u'\u05C3': 1,
            u'\u061B': 1,
            u'\u061F': 1,
            u'\u06DD': 1,
            u'\u0710': 1,
            u'\u07B1': 1,
            u'\u200F': 1,
            u'\uFB1D': 1,
            u'\uFB3E': 1,
        },(
            ((0x05D0,0x05EA),1),
            ((0x05F0,0x05F4),1),
            ((0x0621,0x063A),1),
            ((0x0640,0x064A),1),
            ((0x066D,0x066F),1),
            ((0x0671,0x06D5),1),
            ((0x06E5,0x06E6),1),
            ((0x06FA,0x06FE),1),
            ((0x0700,0x070D),1),
            ((0x0712,0x072C),1),
            ((0x0780,0x07A5),1),
            ((0xFB1F,0xFB28),1),
            ((0xFB2A,0xFB36),1),
            ((0xFB38,0xFB3C),1),
            ((0xFB40,0xFB41),1),
            ((0xFB43,0xFB44),1),
            ((0xFB46,0xFBB1),1),
            ((0xFBD3,0xFD3D),1),
            ((0xFD50,0xFD8F),1),
            ((0xFD92,0xFDC7),1),
            ((0xFDF0,0xFDFC),1),
            ((0xFE70,0xFE74),1),
            ((0xFE76,0xFEFC),1),
        )
    )

    D_2=LookupTable({
            u'\u00AA': 1,
            u'\u00B5': 1,
            u'\u00BA': 1,
            u'\u02EE': 1,
            u'\u037A': 1,
            u'\u0386': 1,
            u'\u038C': 1,
            u'\u0589': 1,
            u'\u0903': 1,
            u'\u0950': 1,
            u'\u09B2': 1,
            u'\u09D7': 1,
            u'\u0A5E': 1,
            u'\u0A83': 1,
            u'\u0A8D': 1,
            u'\u0AC9': 1,
            u'\u0AD0': 1,
            u'\u0AE0': 1,
            u'\u0B40': 1,
            u'\u0B57': 1,
            u'\u0B83': 1,
            u'\u0B9C': 1,
            u'\u0BD7': 1,
            u'\u0CBE': 1,
            u'\u0CDE': 1,
            u'\u0D57': 1,
            u'\u0DBD': 1,
            u'\u0E84': 1,
            u'\u0E8A': 1,
            u'\u0E8D': 1,
            u'\u0EA5': 1,
            u'\u0EA7': 1,
            u'\u0EBD': 1,
            u'\u0EC6': 1,
            u'\u0F36': 1,
            u'\u0F38': 1,
            u'\u0F7F': 1,
            u'\u0F85': 1,
            u'\u0FCF': 1,
            u'\u102C': 1,
            u'\u1031': 1,
            u'\u1038': 1,
            u'\u10FB': 1,
            u'\u1248': 1,
            u'\u1258': 1,
            u'\u1288': 1,
            u'\u12B0': 1,
            u'\u12C0': 1,
            u'\u1310': 1,
            u'\u17DC': 1,
            u'\u1F59': 1,
            u'\u1F5B': 1,
            u'\u1F5D': 1,
            u'\u1FBE': 1,
            u'\u200E': 1,
            u'\u2071': 1,
            u'\u207F': 1,
            u'\u2102': 1,
            u'\u2107': 1,
            u'\u2115': 1,
            u'\u2124': 1,
            u'\u2126': 1,
            u'\u2128': 1,
            u'\u2395': 1,
    #       u'\U0001D4A2': 1,
    #       u'\U0001D4BB': 1,
    #       u'\U0001D546': 1,
        },(
            ((0x0041,0x005A),1),
            ((0x0061,0x007A),1),
            ((0x00C0,0x00D6),1),
            ((0x00D8,0x00F6),1),
            ((0x00F8,0x0220),1),
            ((0x0222,0x0233),1),
            ((0x0250,0x02AD),1),
            ((0x02B0,0x02B8),1),
            ((0x02BB,0x02C1),1),
            ((0x02D0,0x02D1),1),
            ((0x02E0,0x02E4),1),
            ((0x0388,0x038A),1),
            ((0x038E,0x03A1),1),
            ((0x03A3,0x03CE),1),
            ((0x03D0,0x03F5),1),
            ((0x0400,0x0482),1),
            ((0x048A,0x04CE),1),
            ((0x04D0,0x04F5),1),
            ((0x04F8,0x04F9),1),
            ((0x0500,0x050F),1),
            ((0x0531,0x0556),1),
            ((0x0559,0x055F),1),
            ((0x0561,0x0587),1),
            ((0x0905,0x0939),1),
            ((0x093D,0x0940),1),
            ((0x0949,0x094C),1),
            ((0x0958,0x0961),1),
            ((0x0964,0x0970),1),
            ((0x0982,0x0983),1),
            ((0x0985,0x098C),1),
            ((0x098F,0x0990),1),
            ((0x0993,0x09A8),1),
            ((0x09AA,0x09B0),1),
            ((0x09B6,0x09B9),1),
            ((0x09BE,0x09C0),1),
            ((0x09C7,0x09C8),1),
            ((0x09CB,0x09CC),1),
            ((0x09DC,0x09DD),1),
            ((0x09DF,0x09E1),1),
            ((0x09E6,0x09F1),1),
            ((0x09F4,0x09FA),1),
            ((0x0A05,0x0A0A),1),
            ((0x0A0F,0x0A10),1),
            ((0x0A13,0x0A28),1),
            ((0x0A2A,0x0A30),1),
            ((0x0A32,0x0A33),1),
            ((0x0A35,0x0A36),1),
            ((0x0A38,0x0A39),1),
            ((0x0A3E,0x0A40),1),
            ((0x0A59,0x0A5C),1),
            ((0x0A66,0x0A6F),1),
            ((0x0A72,0x0A74),1),
            ((0x0A85,0x0A8B),1),
            ((0x0A8F,0x0A91),1),
            ((0x0A93,0x0AA8),1),
            ((0x0AAA,0x0AB0),1),
            ((0x0AB2,0x0AB3),1),
            ((0x0AB5,0x0AB9),1),
            ((0x0ABD,0x0AC0),1),
            ((0x0ACB,0x0ACC),1),
            ((0x0AE6,0x0AEF),1),
            ((0x0B02,0x0B03),1),
            ((0x0B05,0x0B0C),1),
            ((0x0B0F,0x0B10),1),
            ((0x0B13,0x0B28),1),
            ((0x0B2A,0x0B30),1),
            ((0x0B32,0x0B33),1),
            ((0x0B36,0x0B39),1),
            ((0x0B3D,0x0B3E),1),
            ((0x0B47,0x0B48),1),
            ((0x0B4B,0x0B4C),1),
            ((0x0B5C,0x0B5D),1),
            ((0x0B5F,0x0B61),1),
            ((0x0B66,0x0B70),1),
            ((0x0B85,0x0B8A),1),
            ((0x0B8E,0x0B90),1),
            ((0x0B92,0x0B95),1),
            ((0x0B99,0x0B9A),1),
            ((0x0B9E,0x0B9F),1),
            ((0x0BA3,0x0BA4),1),
            ((0x0BA8,0x0BAA),1),
            ((0x0BAE,0x0BB5),1),
            ((0x0BB7,0x0BB9),1),
            ((0x0BBE,0x0BBF),1),
            ((0x0BC1,0x0BC2),1),
            ((0x0BC6,0x0BC8),1),
            ((0x0BCA,0x0BCC),1),
            ((0x0BE7,0x0BF2),1),
            ((0x0C01,0x0C03),1),
            ((0x0C05,0x0C0C),1),
            ((0x0C0E,0x0C10),1),
            ((0x0C12,0x0C28),1),
            ((0x0C2A,0x0C33),1),
            ((0x0C35,0x0C39),1),
            ((0x0C41,0x0C44),1),
            ((0x0C60,0x0C61),1),
            ((0x0C66,0x0C6F),1),
            ((0x0C82,0x0C83),1),
            ((0x0C85,0x0C8C),1),
            ((0x0C8E,0x0C90),1),
            ((0x0C92,0x0CA8),1),
            ((0x0CAA,0x0CB3),1),
            ((0x0CB5,0x0CB9),1),
            ((0x0CC0,0x0CC4),1),
            ((0x0CC7,0x0CC8),1),
            ((0x0CCA,0x0CCB),1),
            ((0x0CD5,0x0CD6),1),
            ((0x0CE0,0x0CE1),1),
            ((0x0CE6,0x0CEF),1),
            ((0x0D02,0x0D03),1),
            ((0x0D05,0x0D0C),1),
            ((0x0D0E,0x0D10),1),
            ((0x0D12,0x0D28),1),
            ((0x0D2A,0x0D39),1),
            ((0x0D3E,0x0D40),1),
            ((0x0D46,0x0D48),1),
            ((0x0D4A,0x0D4C),1),
            ((0x0D60,0x0D61),1),
            ((0x0D66,0x0D6F),1),
            ((0x0D82,0x0D83),1),
            ((0x0D85,0x0D96),1),
            ((0x0D9A,0x0DB1),1),
            ((0x0DB3,0x0DBB),1),
            ((0x0DC0,0x0DC6),1),
            ((0x0DCF,0x0DD1),1),
            ((0x0DD8,0x0DDF),1),
            ((0x0DF2,0x0DF4),1),
            ((0x0E01,0x0E30),1),
            ((0x0E32,0x0E33),1),
            ((0x0E40,0x0E46),1),
            ((0x0E4F,0x0E5B),1),
            ((0x0E81,0x0E82),1),
            ((0x0E87,0x0E88),1),
            ((0x0E94,0x0E97),1),
            ((0x0E99,0x0E9F),1),
            ((0x0EA1,0x0EA3),1),
            ((0x0EAA,0x0EAB),1),
            ((0x0EAD,0x0EB0),1),
            ((0x0EB2,0x0EB3),1),
            ((0x0EC0,0x0EC4),1),
            ((0x0ED0,0x0ED9),1),
            ((0x0EDC,0x0EDD),1),
            ((0x0F00,0x0F17),1),
            ((0x0F1A,0x0F34),1),
            ((0x0F3E,0x0F47),1),
            ((0x0F49,0x0F6A),1),
            ((0x0F88,0x0F8B),1),
            ((0x0FBE,0x0FC5),1),
            ((0x0FC7,0x0FCC),1),
            ((0x1000,0x1021),1),
            ((0x1023,0x1027),1),
            ((0x1029,0x102A),1),
            ((0x1040,0x1057),1),
            ((0x10A0,0x10C5),1),
            ((0x10D0,0x10F8),1),
            ((0x1100,0x1159),1),
            ((0x115F,0x11A2),1),
            ((0x11A8,0x11F9),1),
            ((0x1200,0x1206),1),
            ((0x1208,0x1246),1),
            ((0x124A,0x124D),1),
            ((0x1250,0x1256),1),
            ((0x125A,0x125D),1),
            ((0x1260,0x1286),1),
            ((0x128A,0x128D),1),
            ((0x1290,0x12AE),1),
            ((0x12B2,0x12B5),1),
            ((0x12B8,0x12BE),1),
            ((0x12C2,0x12C5),1),
            ((0x12C8,0x12CE),1),
            ((0x12D0,0x12D6),1),
            ((0x12D8,0x12EE),1),
            ((0x12F0,0x130E),1),
            ((0x1312,0x1315),1),
            ((0x1318,0x131E),1),
            ((0x1320,0x1346),1),
            ((0x1348,0x135A),1),
            ((0x1361,0x137C),1),
            ((0x13A0,0x13F4),1),
            ((0x1401,0x1676),1),
            ((0x1681,0x169A),1),
            ((0x16A0,0x16F0),1),
            ((0x1700,0x170C),1),
            ((0x170E,0x1711),1),
            ((0x1720,0x1731),1),
            ((0x1735,0x1736),1),
            ((0x1740,0x1751),1),
            ((0x1760,0x176C),1),
            ((0x176E,0x1770),1),
            ((0x1780,0x17B6),1),
            ((0x17BE,0x17C5),1),
            ((0x17C7,0x17C8),1),
            ((0x17D4,0x17DA),1),
            ((0x17E0,0x17E9),1),
            ((0x1810,0x1819),1),
            ((0x1820,0x1877),1),
            ((0x1880,0x18A8),1),
            ((0x1E00,0x1E9B),1),
            ((0x1EA0,0x1EF9),1),
            ((0x1F00,0x1F15),1),
            ((0x1F18,0x1F1D),1),
            ((0x1F20,0x1F45),1),
            ((0x1F48,0x1F4D),1),
            ((0x1F50,0x1F57),1),
            ((0x1F5F,0x1F7D),1),
            ((0x1F80,0x1FB4),1),
            ((0x1FB6,0x1FBC),1),
            ((0x1FC2,0x1FC4),1),
            ((0x1FC6,0x1FCC),1),
            ((0x1FD0,0x1FD3),1),
            ((0x1FD6,0x1FDB),1),
            ((0x1FE0,0x1FEC),1),
            ((0x1FF2,0x1FF4),1),
            ((0x1FF6,0x1FFC),1),
            ((0x210A,0x2113),1),
            ((0x2119,0x211D),1),
            ((0x212A,0x212D),1),
            ((0x212F,0x2131),1),
            ((0x2133,0x2139),1),
            ((0x213D,0x213F),1),
            ((0x2145,0x2149),1),
            ((0x2160,0x2183),1),
            ((0x2336,0x237A),1),
            ((0x249C,0x24E9),1),
            ((0x3005,0x3007),1),
            ((0x3021,0x3029),1),
            ((0x3031,0x3035),1),
            ((0x3038,0x303C),1),
            ((0x3041,0x3096),1),
            ((0x309D,0x309F),1),
            ((0x30A1,0x30FA),1),
            ((0x30FC,0x30FF),1),
            ((0x3105,0x312C),1),
            ((0x3131,0x318E),1),
            ((0x3190,0x31B7),1),
            ((0x31F0,0x321C),1),
            ((0x3220,0x3243),1),
            ((0x3260,0x327B),1),
            ((0x327F,0x32B0),1),
            ((0x32C0,0x32CB),1),
            ((0x32D0,0x32FE),1),
            ((0x3300,0x3376),1),
            ((0x337B,0x33DD),1),
            ((0x33E0,0x33FE),1),
            ((0x3400,0x4DB5),1),
            ((0x4E00,0x9FA5),1),
            ((0xA000,0xA48C),1),
            ((0xAC00,0xD7A3),1),
            ((0xD800,0xFA2D),1),
            ((0xFA30,0xFA6A),1),
            ((0xFB00,0xFB06),1),
            ((0xFB13,0xFB17),1),
            ((0xFF21,0xFF3A),1),
            ((0xFF41,0xFF5A),1),
            ((0xFF66,0xFFBE),1),
            ((0xFFC2,0xFFC7),1),
            ((0xFFCA,0xFFCF),1),
            ((0xFFD2,0xFFD7),1),
            ((0xFFDA,0xFFDC),1),
            ((0x10300,0x1031E),1),
            ((0x10320,0x10323),1),
            ((0x10330,0x1034A),1),
            ((0x10400,0x10425),1),
            ((0x10428,0x1044D),1),
            ((0x1D000,0x1D0F5),1),
            ((0x1D100,0x1D126),1),
            ((0x1D12A,0x1D166),1),
            ((0x1D16A,0x1D172),1),
            ((0x1D183,0x1D184),1),
            ((0x1D18C,0x1D1A9),1),
            ((0x1D1AE,0x1D1DD),1),
            ((0x1D400,0x1D454),1),
            ((0x1D456,0x1D49C),1),
            ((0x1D49E,0x1D49F),1),
            ((0x1D4A5,0x1D4A6),1),
            ((0x1D4A9,0x1D4AC),1),
            ((0x1D4AE,0x1D4B9),1),
            ((0x1D4BD,0x1D4C0),1),
            ((0x1D4C2,0x1D4C3),1),
            ((0x1D4C5,0x1D505),1),
            ((0x1D507,0x1D50A),1),
            ((0x1D50D,0x1D514),1),
            ((0x1D516,0x1D51C),1),
            ((0x1D51E,0x1D539),1),
            ((0x1D53B,0x1D53E),1),
            ((0x1D540,0x1D544),1),
            ((0x1D54A,0x1D550),1),
            ((0x1D552,0x1D6A3),1),
            ((0x1D6A8,0x1D7C9),1),
            ((0x20000,0x2A6D6),1),
            ((0x2F800,0x2FA1D),1),
            ((0xF0000,0xFFFFD),1),
            ((0x100000,0x10FFFD),1),
        )
    )
# vi: sts=4 et sw=4
